package classcontrol.controller;

import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;

/**
 *
 *
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class NewAspectController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // 2. Sets all teacher's behaviour attitude aspects in a request parameter.
        final String idEdmodo = (String) this.request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        new BehaviourAttitudeUtil().setRequestPositiveNegativeList(idEdmodo, request);
    }
}