package classcontrol.controller;

import classcontrol.edmodo.EdmodoAPI;
import classcontrol.entity.Student;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import javax.servlet.http.HttpSession;

/**
 *
 * Sets parent's children list in a request attribute.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class ParentStudentController extends AbstractController {

    @Override
    public void execute() throws ControllerException {

        final String idEdmodoParent = (String) this.request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoParent == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }

        // TODO. Parsear datos
        // TODO. Parsear datos
        // TODO. Parsear datos
        final String groupsJSON = EdmodoAPI.children(idEdmodoParent);
        // TODO. Parsear datos
        // TODO. Parsear datos
        // TODO. Parsear datos

        final ArrayList<Student> children = EdmodoAPI.getSimulatedChildren();

        request.setAttribute(Constants.CONTROLLER_PARENT_CHILDERN_LIST, children);
    }
}