package classcontrol.entity;

import java.util.List;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class StudentAspectReport {

    private String idEdmodo;
    private String studentName;
    private List<List<StudentAspect>> evaluationPeriods;

    /**
     *
     * @param idEdmodo
     * @param studentName
     * @param evaluationPeriods
     */
    public StudentAspectReport(final String idEdmodo, final String studentName, final List<List<StudentAspect>> evaluationPeriods) {
        this.idEdmodo = idEdmodo;
        this.studentName = studentName;
        this.evaluationPeriods = evaluationPeriods;
    }

    /**
     *
     * @return
     */
    public String getIdEdmodo() {
        return idEdmodo;
    }

    /**
     *
     * @return
     */
    public String getStudentName() {
        return studentName;
    }

    /**
     *
     * @return
     */
    public List<List<StudentAspect>> getEvaluationPeriods() {
        return evaluationPeriods;
    }
}