package classcontrol.entity;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class StudentEvaluationPeriod {

    private List<StudentEvaluation> mStudentEvaluationList;
    private List<EvaluationPeriodAssignment> mEvaluationPeriodAssignments;

    /**
     *
     * @param mStudentEvaluationList
     * @param mEvaluationPeriodAssignments
     */
    public StudentEvaluationPeriod(final List<StudentEvaluation> mStudentEvaluationList, List<EvaluationPeriodAssignment> mEvaluationPeriodAssignments) {
        this.mStudentEvaluationList = mStudentEvaluationList == null ? new ArrayList<StudentEvaluation>() : mStudentEvaluationList;
        this.mEvaluationPeriodAssignments = mEvaluationPeriodAssignments == null ? new ArrayList<EvaluationPeriodAssignment>() : mEvaluationPeriodAssignments;
    }

    /**
     *
     * @return
     */
    public List<StudentEvaluation> getStudentEvaluationList() {
        return mStudentEvaluationList;
    }

    /**
     *
     * @return
     */
    public List<EvaluationPeriodAssignment> getEvaluationPeriodAssignments() {
        return mEvaluationPeriodAssignments;
    }
}