package classcontrol.entity;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class SubjectCompetenceEvaluation {

    private List<EvaluableItem> mEvaluableItemsSC;
    private List<StudentAspect> aspectsApplied;
    private List<BehaviourAttitudeAspect> mySubjectCompetenceAspects;

    /**
     *
     * @param mEvaluableItemsSC
     * @param aspectsApplied
     * @param mySubjectCompetenceAspects
     */
    public SubjectCompetenceEvaluation(final List<EvaluableItem> mEvaluableItemsSC,
            final List<StudentAspect> aspectsApplied, final List<BehaviourAttitudeAspect> mySubjectCompetenceAspects) {
        this.mEvaluableItemsSC = mEvaluableItemsSC == null ? new ArrayList<EvaluableItem>() : mEvaluableItemsSC;
        this.aspectsApplied = aspectsApplied == null ? new ArrayList<StudentAspect>() : aspectsApplied;
        this.mySubjectCompetenceAspects = mySubjectCompetenceAspects == null ? new ArrayList<BehaviourAttitudeAspect>() : mySubjectCompetenceAspects;
    }

    /**
     *
     * @return
     */
    public List<EvaluableItem> getmEvaluableItemsSC() {
        return mEvaluableItemsSC;
    }

    /**
     *
     * @return
     */
    public List<StudentAspect> getAspectsApplied() {
        return aspectsApplied;
    }

    /**
     *
     * @return
     */
    public List<BehaviourAttitudeAspect> getMySubjectCompetenceAspects() {
        return mySubjectCompetenceAspects;
    }
}