package classcontrol.utils;

import classcontrol.edmodo.EdmodoAPI;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class Login {

    /**
     * ID de Edmodo para el Udevalladolid-teacher1 TODO: Borrar cuadno estén
     * todos los CU's implementados.
     */
    public final static String EDMODO_TEACHER_A = "Udevalladolid-teacher1";
    /**
     *
     */
    public final static String EDMODO_STUDENT_A = "Cristian";
    /**
     *
     */
    public final static String EDMODO_PARENT_A = "Miguel";
    /**
     * ID de Edmodo para el Udevalladolid-teacher1
     *
     *
     * TODO: Borrar cuadno estén todos los CU's implementados.
     */
    public final static String EDMODO_ID_TEACHER_A = "9bed44e99";
    /* TODO: Borrar cuadno estén
     * todos los CU's implementados.
     */
    /**
     *
     */
    public final static String EDMODO_ID_STUDENT_A = "3f14e6839";
    /* TODO: Borrar cuadno estén
     * todos los CU's implementados.
     */
    /**
     *
     */
    public final static String EDMODO_ID_PARENT_A = "inventadoPadre1";
    /*/////
     //////

     //////////////
     /**
     * ID de Edmodo para el Udevalladolid-teacher1 TODO: Borrar cuadno estén
     * todos los CU's implementados.
     */
    //public final static String EDMODO_ID_TEACHER_A = "9bed44e99";
    /**
     * ID de la BD para el Udevalladolid-teacher1 TODO: Borrar cuadno estén
     * todos los CU's implementados.
     */
    private final static int ID_TEACHER_A = 1;
    //////

    /**
     * Gets current Edmodo user and its role and sets them in current session
     * attributes.
     *
     *
     *
     * TODO: creo que sería mejor llamar al LoginController, que haga lo que
     * tenga que hacer (que es lo mismo que aquí) y despues coger sus datos.
     *
     *
     *
     *
     *
     *
     *
     * @param request Current request session.
     * @return Current Edmodo user and role.
     */
    public static String getUserFirstNameRole(final HttpServletRequest request) {
        final StringBuilder firstNameRole = new StringBuilder();
        //  final JSON = (JSONObject)EdmodoAPI.launchRequests();
        // 1. First Name
        // 1.a. Get first name
        // JSON.get(EdmodoAPI.API_FIRST_NAME_KEY);

        //SIMULATED:
        final HttpSession currentSession = request.getSession();
        final String edmodoUserPrevious = (String) currentSession.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        //System.out.println("edmodoUserPrevious: "+edmodoUserPrevious);
        if (edmodoUserPrevious == null) {
            currentSession.setAttribute(Constants.SESSION_ID_EDMODO_USER, EDMODO_ID_TEACHER_A);
        }
        final Byte possibleRole = (Byte) currentSession.getAttribute(Constants.SESSION_ID_WEB_ROLE);
        //System.out.println("possibleRole: "+possibleRole);
        //END-SIMULATED
        firstNameRole.append(possibleRole == Constants.SESSION_ID_ROLE_PARENT ? EDMODO_PARENT_A : possibleRole == Constants.SESSION_ID_ROLE_STUDENT ? EDMODO_STUDENT_A : EDMODO_TEACHER_A);
        // 1.b. Set edmodo_id in current session attribute


        // 2. Role
        /////// TODO: Borrar "API_USER_TYPE_TEACHER" cuando se tenga la llamada a Edmodo.
        // final String role = JSON.get(EdmodoAPI.API_API_USER_TYPE_KEY);
        final String role = possibleRole == Constants.SESSION_ID_ROLE_PARENT ? EdmodoAPI.API_USER_TYPE_PARENT_VALUE : possibleRole == Constants.SESSION_ID_ROLE_STUDENT ? EdmodoAPI.API_USER_TYPE_STUDENT_VALUE : EdmodoAPI.API_USER_TYPE_TEACHER_VALUE;
        /////////// FIN-TODO
        //2.1.
        //Corregido el 04/05/14
//        final byte idRole = role.compareTo(EdmodoAPI.API_USER_TYPE_TEACHER_VALUE) == 0
//                ? Constants.SESSION_ID_ROLE_TEACHER : role.compareTo(EdmodoAPI.API_USER_TYPE_STUDENT_VALUE) == 0
//                ? Constants.SESSION_ID_ROLE_STUDENT : role.compareTo(EdmodoAPI.API_USER_TYPE_PARENT_VALUE) == 0
//                ? Constants.SESSION_ID_ROLE_PARENT : Constants.SESSION_ID_ROLE_NO;

        //2.2. User role id in current session attribute.
        //currentSession.setAttribute(Constants.SESSION_ID_WEB_ROLE, possibleRole);
        //2.3. Finish return String with role.
        firstNameRole.append(" - ").append(possibleRole == Constants.SESSION_ID_ROLE_TEACHER
                ? CurrentLanguage.getString(Text.TEACHER, request)
                : possibleRole == Constants.SESSION_ID_ROLE_STUDENT
                ? CurrentLanguage.getString(Text.STUDENT, request) : possibleRole == Constants.SESSION_ID_ROLE_PARENT
                ? CurrentLanguage.getString(Text.PARENT, request) : "");
        // 2.3.1. Nav bar appearance: max 24 chars.
        if (firstNameRole.length() > Constants.MAX_NAME_NAV_BAR) {
            return firstNameRole.substring(0, Constants.MAX_NAME_NAV_BAR - 1).trim().concat(".");
        }
        return firstNameRole.toString();
    }
}