<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.Student"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.List"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);// Uncomment in 0.2-BETA version
final String studentEdmodoId=request.getParameter(Constants.PARAMETER_STUDENT_SELECTED);
if (studentEdmodoId==null || studentEdmodoId.length()==0){
throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
    }
final Student currentStudent = (Student) request.getAttribute(Constants.ATT_STUDENT_DATA);
final String currentStudentName = currentStudent.getFullName();
final String idEdmodoStudent = currentStudent.getIdEdmodo();
final SubjectCompetence sc = ((List<SubjectCompetence>) request.getSession().getAttribute(studentEdmodoId)).get(subjectCompetenceIndex);
final String webName=sc.getTitle();%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/datepicker3.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.core.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.default.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_STUDENT_INDEX+'&'+Constants.CONTROLLER_NEXT_URL+"=/Parent/Student/Student.jsp&"+Constants.PARAMETER_STUDENT_SELECTED+'='+idEdmodoStudent%>"><%=currentStudentName%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE+'&'+Constants.CONTROLLER_NEXT_URL+"=/Parent/Student/SelectSubjectCompetence.jsp&"+Constants.PARAMETER_STUDENT_SELECTED+'='+idEdmodoStudent%>"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final int TITLE_LENGTH=webName.length();%><li align="center" class="active"><a href="#"><%=webName.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <div class="col-xs-6 col-sm-3 placeholder">
                    <%final String evaluationReport=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS_EVALUATION_REPORT,request);%>
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_EVALUATION_REPORT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Parent/Student/SubjectCompetence/EvaluationInform.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_STUDENT_SELECTED%>=<%=idEdmodoStudent%>"><img src="../../assets/img/menu/Shape 70.png" class="img-responsive" alt="<%=evaluationReport%>">
                        <h4><%=evaluationReport%></h4></a>
                    <span class="text-muted"><%=CurrentLanguage.getString(Text.SEE_DETAILS,request)%></span>
                </div>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <%final String report=CurrentLanguage.getString(Text.S_C_B_A_REPORT,request);%>
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_BEHAVIOUR_ATTITUDE_REPORT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Parent/Student/SubjectCompetence/BehaviourAttitudeInform.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_STUDENT_SELECTED%>=<%=idEdmodoStudent%>"><img src="../../assets/img/menu/Shape 48.png" class="img-responsive" alt="<%=report%>">
                        <h4><%=report%></h4>
                        <span class="text-muted"><%=CurrentLanguage.getString(Text.SEE_DETAILS,request)%></span></a>
                </div>
                <div class="clearfix visible-xs"></div>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <%final String attendReport=CurrentLanguage.getString(Text.S_C_ATTEND_ATTEND_REPORT,request);%>
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_ATTEND_REPORT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Parent/Student/SubjectCompetence/AttendInform.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_STUDENT_SELECTED%>=<%=idEdmodoStudent%>"><img src="../../assets/img/menu/Shape 13.png" class="img-responsive" alt="<%=attendReport%>">
                        <h4><%=attendReport%></h4>
                        <span class="text-muted"><%=CurrentLanguage.getString(Text.SEE_DETAILS,request)%></span></a>
                </div>
            </div>
            <div align="center">
                <%final String description = sc.getDescription();%>
                <%=description==null?"":"<div align=\"center\"><p><i>"+description+"</i></p></div>"%>
            </div>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
    </body>
</html>