<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.language.LanguageFactory"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.entity.BehaviourAttitudeAspect"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);%>
<%final String webName=CurrentLanguage.getString(Text.MY_ASPECTS_MODIFY_TITLE,request);%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../assets/css/bootstrap-switch.min.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_TEACHER_ASPECTS %>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Aspect.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_MY_ASPECTS,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_MODIFY_ASPECT %>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Aspect/ModifyBehaviourAttitude.jsp"><%=CurrentLanguage.getString(Text.MODIFY_ASPECT_SELECT_ASPECT,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String myForm = ConstantsForm.FORM_NAME_ID;
            final BehaviourAttitudeAspect myAspect = (BehaviourAttitudeAspect) request.getAttribute(Constants.ATT_MODIFY_BEHAVIOUR_ATTITUDE_ASPECT_DATA);
            final String oldName = myAspect.getName();
            %>
            <form name="<%=myForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_MODIFY_ASPECT_3%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Message.jsp" method="post" onsubmit="return checkFields();">
                <div class="row placeholders">
                    <div class="col-lg-4" align="center">
                        <%final String name = ConstantsForm.CREATE_ASPECT_NAME;
                        final String nameTitle = CurrentLanguage.getString(Text.NAME,request);
                        final String description = ConstantsForm.CREATE_ASPECT_DESCRIPTION;
                        final String descriptionTitle = CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_DESCRIPTION,request);
                        final String url=ConstantsForm.CREATE_ASPECT_URL;
                        final String urlTitle=CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_URL,request);
                        %>
                        <p><h3><%=nameTitle%> * </h3></p><p><input type="text" name="<%=name%>" maxlength="<%=ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_NAME_MAX%>" placeholder="<%=CurrentLanguage.getString(Text.NAME_PLACEHOLDER,request)%>" value="<%=oldName%>"></p><br/>
                        <input hidden name="<%=ConstantsForm.MODIFY_ASPECT_HIDDEN_OLD_NAME%>"type="hidden" value="<%=oldName%>"/>
                        <p><h3><%=descriptionTitle%> *</h3></p><p><textarea id="<%=description%>" name="<%=description%>" maxlength="<%=ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_DESCRIPTION_MAX%>" rows="4" cols="40" placeholder="<%=CurrentLanguage.getString(Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION,request)%>"><%=myAspect.getDescription()%></textarea></p><br/>
                    </div>
                    <div class="col-lg-4" align="center">
                        <p><h3 id="urlTitle"><%=urlTitle%></h3></p><p><input type="url" rel="popover" data-placement="top" data-trigger="hover" data-content="<%=CurrentLanguage.getString(Text.CBAA_VALID_URL_HINT,request)%>" onchange="changeImg();" onclick="autoComplete();" id="<%=url%>" name="<%=url%>" style="font-size: 14px; min-height: 35px; width: 275px;" maxlength="<%=ConstantsForm.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_URL_MAX%>" placeholder="<%=CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_URL_PLACEHOLDER,request)%>"></p><p><%=CurrentLanguage.getString(Text.CREATE_ASPECT_DIMENSIONS_HINT,request)%></p><br/><p><b><%=CurrentLanguage.getString(Text.MODIFY_ASPECT_NO_URL_HINT,request)%></b></p><br/>
                        <p><img id="myImg" src="/assets/img/other/no.png" alt="<%=urlTitle%>" height="80" width="80"/><br/><br/><b id="errorImg" style="color: red"></b></p><br/>
                            <%final String positive= CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_POSITIVE,request);
                            final String negative= CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_NEGATIVE,request);
                            final String checkType=ConstantsForm.CREATE_ASPECT_TYPE;
                            final boolean isPositive = myAspect.getType()==ConstantsDB.TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_TYPE_TYPES[ConstantsDB.TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_POSITIVE_INDEX];
                            %>
                        <input type="radio" name="<%=checkType%>" value="<%=ConstantsDB.TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_TYPE_TYPES[ConstantsDB.TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_POSITIVE_INDEX]%>" <%=isPositive?"checked":""%>><br>
                    </div>
                    <div class="col-lg-4" align="center">
                        <%
                        final ArrayList<String> myPositiveList = (ArrayList<String>) request.getAttribute(Constants.ATT_BEHAVIOUR_ATTITUDE_ASPECT_POSITIVE_LIST);
                        final ArrayList<String> myNegativeList = (ArrayList<String>) request.getAttribute(Constants.ATT_BEHAVIOUR_ATTITUDE_ASPECT_NEGATIVE_LIST);
                        %>
                        <h3><%=CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE,request)%></h3>
                        <p>
                            <%final String noAspects = CurrentLanguage.getString(Text.S_C_NO_ASPECTS,request);
                        if (myPositiveList.size()==0){%>
                        <h5><%=noAspects%></h5>
                        <% }else{%>
                        <select id="<%=ConstantsForm.CREATE_ASPECT_LIST_POSITIVE%>" multiple onchange="this.selectedIndex = -1;">
                            <%for (final String currentName:myPositiveList){%>
                            <option value="<%=currentName%>"><%=currentName%></option>
                            <%}%>
                        </select>
                        <%}%>
                        </p><br/>
                        <h3><%=CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE,request)%></h3>
                        <p>
                            <%if (myNegativeList.size()==0){%>
                        <h5><%=noAspects%></h5>
                        <% }else{%>
                        <select id="<%=ConstantsForm.CREATE_ASPECT_LIST_NEGATIVE%>" multiple onchange="this.selectedIndex = -1;">
                            <%for (final String currentName:myNegativeList){%>
                            <option value="<%=currentName%>"><%=currentName%></option>
                            <%}%>
                        </select>
                        <%}%>
                        </p>
                    </div>
                </div>
                <div align="center">
                    <%final String backText=CurrentLanguage.getString(Text.BACK,request);
                      final String modifyText=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request);%>
                    <p style="text-align: center;">
                        <button type="button" onclick="goBack();" value="<%=backText%>" class="btn btn-info"><h4><%=backText%></h4></button>
                        <button type="submit" value="<%=modifyText%>" class="btn btn-warning"><h4><%=modifyText%></h4></button></p>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../../assets/js/bootstrap-maxlength.min.js"></script>
        <script type="text/javascript" src="../../assets/js/bootbox.min.js"></script>
        <script src="../../assets/js/compare-strings.js"></script>
        <script src="../../assets/js/bootstrap-switch.min.js"></script>
        <%final String oldNameLower = oldName.toLowerCase();%>
        <script type="text/javascript">
                function goBack()
                {
                    window.history.back();
                }
                function autoComplete() {
                    var myUrlField = document.forms["<%=myForm%>"]["<%=url%>"];
                    var myUrlValue = myUrlField.value.trim();
                    if (myUrlValue == '') {
                        myUrlField.value = 'http://';
                    }
                }
                var errorElement = document.getElementById("errorImg");
                var validURL = false;
                var myErrorColor = "red";
                function validate(url) {
                    var pattern = /\(?(?:(http|https|ftp):\/\/)?(?:((?:[^\W\s]|\.|-|[:]{1})+)@{1})?((?:www.)?(?:[^\W\s]|\.|-)+[\.][^\W\s]{2,4}|localhost(?=\/)|\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})(?::(\d*))?([\/]?[^\s\?]*[\/]{1})*(?:\/?([^\s\n\?\[\]\{\}\#]*(?:(?=\.)){1}|[^\s\n\?\[\]\{\}\.\#]*)?([\.]{1}[^\s\?\#]*)?)?(?:\?{1}([^\s\n\#\[\]]*))?([\#][^\s\n]*)?\)?/;
                    return pattern.test(url);
                }
                function testImage(url, callback, timeout) {
                    $("#myImg").attr("src", "/assets/img/other/load.gif");
                    timeout = timeout || 4000;
                    var timedOut = false, timer, loaded = false;
                    var img = new Image();

                    img.onerror = img.onabort = function() {
                        loaded = true;
                        if (!timedOut) {
                            clearTimeout(timer);
                            changeColorURL(myErrorColor);
                            callback(false);//error
                        }
                    };
                    img.onload = function() {
                        loaded = true;
                        if (!timedOut) {
                            if (img.width <= <%=ConstantsForm.MAX_IMAGE_BEHAVIOUR_ATTITUDE_ASPECT%> && img.height <= <%=ConstantsForm.MAX_IMAGE_BEHAVIOUR_ATTITUDE_ASPECT%>) {
                                clearTimeout(timer);
                                changeColorURL("green");
                                $("#myImg").attr("src", img.src);

                                errorElement.innerHTML = "";
                                callback(true);//success
                            } else {
                                changeColorURL(myErrorColor);
                                callback(false);//timeout
                            }
                        }
                    };
                    img.src = url;
                    loaded = false;
                    timer = setTimeout(function() {
                        timedOut = true;
                        if (!loaded) {
                            changeColorURL(myErrorColor);
                            callback(false);//timeout
                        }
                    }, timeout);
                }
                function enableSubmit(value) {
                    validURL = value;
                    if (!value) {
                        var errorElement = document.getElementById("errorImg");
                        errorElement.innerHTML = '<%=CurrentLanguage.getString(Text.CBAA_NO_VALID_URL,request)%>: <%=CurrentLanguage.getString(Text.CBAA_VALID_URL_HINT,request)%>';
                        $("#myImg").attr("src", "/assets/img/other/no.png");
                    }

                }
                function changeColorURL(color) {
                    document.getElementById('<%=url%>').style.color = color;
                }
                function changeImg() {
                    var myUrl = document.forms["<%=myForm%>"]["<%=url%>"].value;
                    if (myUrl.trim().length > 0) {
                        validURL = false;
                        if (validate(myUrl)) {
                            testImage(myUrl, enableSubmit);
                        } else {
                            enableSubmit(false);
                        }
                    }
                }
                function checkFields() {
                    validURL = false;
                    var MEN = '<%=CurrentLanguage.getString(Text.NO_NULL,request)%>';
                    var myNameField = document.forms["<%=myForm%>"]["<%=name%>"];
                    var myNameValue = myNameField.value.trim();
                    if (myNameValue.length < 1) {
                        bootbox.alert(MEN + ': ' + '<%=nameTitle%>');
                        myNameField.focus();
                        return false;
                    }
                    var REPEAT = '<%=CurrentLanguage.getString(Text.BEHAVIOUR_ATTITUDE_ASPECT_REPEAT,request)%>';
                    var error = false;
                    myNameValue = removeDiacritics(myNameValue.toLowerCase());
                    var oldNameLower = removeDiacritics('<%=oldNameLower%>');
                    $("#<%=ConstantsForm.CREATE_ASPECT_LIST_POSITIVE%> option").each(function()
                    {
                        if ((myNameValue == removeDiacritics($(this).val().toLowerCase())) && (myNameValue != oldNameLower)) {
                            error = true;
                        }
                    });
                    if (error) {
                        bootbox.alert(REPEAT);
                        return false;
                    }
                    $("#<%=ConstantsForm.CREATE_ASPECT_LIST_NEGATIVE%> option").each(function()
                    {
                        if ((myNameValue == removeDiacritics($(this).val().toLowerCase())) && (myNameValue != oldNameLower)) {
                            error = true;
                        }
                    });
                    if (error) {
                        bootbox.alert(REPEAT);
                        return false;
                    }
                    var myDescriptionField = document.getElementById("<%=description%>");
                    if (myDescriptionField.value.trim() == '') {
                        bootbox.alert(MEN + ': ' + '<%=descriptionTitle%>');
                        myDescriptionField.focus();
                        return false;
                    }
                    var myUrlField = document.forms["<%=myForm%>"]["<%=url%>"];
                    var myUrlValue = myUrlField.value.trim();
                    if (myUrlValue.length == 0) {
                        validURL = true;
                    } else {
                        if (!validate(myUrlValue)) {
                            bootbox.alert('<%=CurrentLanguage.getString(Text.NO_VALID_ARGUMENT,request)%>: <%=urlTitle%>');
                            myUrlField.focus();
                            return false;
                        } else {
                            validURL = true;
                        }
                    }
                    if (!validURL) {
                        enableSubmit(false);
                        return false;
                    }
                }
                $(document).ready(function() {
                    $('input[maxlength]').maxlength({alwaysShow: true});
                    $('textarea').maxlength({alwaysShow: true});
                    $("[name='<%=checkType%>']").
                            bootstrapSwitch('onText', '<%=positive%>').
                            bootstrapSwitch('offText', '<%=negative%>').bootstrapSwitch('size', 'large').
                            bootstrapSwitch('onColor', 'success').bootstrapSwitch('offColor', 'danger');
                    $('[rel=popover]').popover();
                });
        </script>
    </body>
</html>