<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.language.LanguageFactory"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
final String webName=CurrentLanguage.getString(Text.SUCCESS_MESSAGE,request);%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../assets/css/navbar.css" rel="stylesheet">
        <link href="../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand"  align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center" class="active"><a href="#" onclick="return false;"><%=CurrentLanguage.getString(Text.TEACHER_MESSAGE,request)%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="jumbotron">
                <h1><%=webName%></h1>
                <script type="text/javascript">
                                var count = 2;
                                document.write('<p class="lead"><%=CurrentLanguage.getString(Text.TEACHER_MESSAGE_RETURNING,request)%> ');
                                document.write('<span id="countdown">' + count + '</span>');
                                document.write('...</p>');
                </script>
            </div>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../assets/js/bootstrap.min.js"></script>
        <%final String possibleURL = (String)request.getAttribute(Constants.ATT_NEXT_URL_MESSAGE);%>
        <script type="text/javascript">
                                function countDown() {
                                    if (count <= 0) {
                                        // TODO: el enlace según la opción donde provenga.
                                        window.location = "<%=possibleURL==null?request.getParameter(Constants.CONTROLLER_MESSAGE_NEXT_URL):possibleURL%>";
                                    } else {
                                        count--;
                                        document.getElementById('countdown').innerHTML = count + 1;
                                        setTimeout("countDown()", 1000);
                                    }
                                }
                                countDown();
        </script>
    </body>
</html>