<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="java.util.Date"%>
<%@page import="javax.servlet.http.HttpSession"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="classcontrol.entity.EvaluationPeriod"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.Calendar"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);%>
<%int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
final String webName=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request);%>
<!DOCTYPE html>
<%final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);%>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request)%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request)%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/datepicker3.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.core.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.default.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request)%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/EditSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_EDIT,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request)%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String myForm = ConstantsForm.FORM_NAME_ID;%>
            <form name="<%=myForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_MODIFY_SUBJECT_COMPETENCE_2%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/Edit/ModifySubjectCompetence2.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>" onsubmit="return checkFields();" method="post">
                <div class="row placeholders">
                    <div class="col-lg-4" align="center">
                        <%final SubjectCompetence selected = (SubjectCompetence) request.getAttribute(Constants.ATT_S_C_SELECTED_DATA);
                        final SimpleDateFormat formatter = new SimpleDateFormat(ConstantsForm.DATE_PICKER_FORMAT_JAVA);
                        final Calendar minCalendar = Calendar.getInstance();
                        // BE CAREFULL, -1 comes from {@link ConstantsForm#MIN_DATE_PICKER}
                        minCalendar.add(Calendar.YEAR, -1);
                        final Calendar maxCalendar = Calendar.getInstance();
                        // BE CAREFULL, +2 comes from {@link ConstantsForm#MAX_DATE_PICKER}
                        maxCalendar.add(Calendar.YEAR, +2);
                        final Calendar initialCalendar = Calendar.getInstance();
                        initialCalendar.setTime(selected.getInitialDate());
                        final Calendar finalCalendar = Calendar.getInstance();
                        finalCalendar.setTime(selected.getFinalDate());
                        final String initialShow=formatter.format(initialCalendar.before(minCalendar)?initialCalendar.getTime():minCalendar.getTime());
                        final String finalShow=formatter.format(finalCalendar.after(maxCalendar)?finalCalendar.getTime():maxCalendar.getTime());%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_ASSOCIATED,request)%></h3>
                        <p>
                            <%final String associatedTitle = ConstantsForm.CREATE_SUBJECT_COMPETENCE_ASSOCIATED;%>
                            <select id="<%=associatedTitle%>" name="<%=associatedTitle%>">
                                <option> </option>
                                <%
                                    final ArrayList<SubjectCompetence> mySubjectsCompetences = (ArrayList<SubjectCompetence>) request.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES);
                                    final String oldAssTitle = selected.getAssociatedTitle();
                                    final String assTitle = oldAssTitle==null?"":oldAssTitle;
                                    final String oldTitle = mySubjectsCompetences.get(subjectCompetenceIndex).getTitle();
                                    String currentTitle;
                                    for (final SubjectCompetence mySubjectCompetence: mySubjectsCompetences){
                                    currentTitle = mySubjectCompetence.getTitle();
                                    if(oldTitle.compareTo(currentTitle)!=0){
                                %>
                                <option <%=currentTitle.compareTo(assTitle)==0?"selected":""%>><%=mySubjectCompetence.getTitle()%></option>
                                <%}}%>
                            </select>
                        </p>
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String initialDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_INITIAL_DATE;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_INITIAL_DATE,request)%> *</h3>
                        <div id="<%=initialDate%>" class="input-group date">
                            <input value="<%=formatter.format(selected.getInitialDate())%>" name="<%=initialDate%>" type="text" class="form-control"><span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                        <%final String finalDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_FINAL_DATE,request)%> *</h3>
                        <div id="<%=finalDate%>" class="input-group date">
                            <input value="<%=formatter.format(selected.getFinalDate())%>" name="<%=finalDate%>" type="text" class="form-control"><span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String myPeriods = ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_PERIODS,request)%> *</h3>
                        <input type="number" class="percentage" name="<%=myPeriods%>" min="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MIN%>" max="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MAX%>" value="<%=((List<EvaluationPeriod>) request.getAttribute(Constants.ATT_MODIFY_N_PERIODS)).size()%>">
                    </div>
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_DESCRIPTION,request)%></h3>
                        <textarea name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_DESCRIPTION%>" maxlength="<%=ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_DESCRIPTION_MAX%>" placeholder="<%=CurrentLanguage.getString(Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION,request)%>"><%=selected.getDescription()%></textarea>
                    </div>
                </div>
                <div align="center">
                    <%final String next = CurrentLanguage.getString(Text.NEXT,request);%>
                    <button type="submit" value="<%=next%>" class="btn btn-success" id="submit"><h4><%=next%></h4></button>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script type="text/javascript" src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootbox.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootstrap-datepicker.js"></script>
        <script type="text/javascript" src="../../../assets/js/moment.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootstrap-maxlength.min.js"></script>
        <script src="../../../assets/js/locales/bootstrap-datepicker.<%=languageCode%>.js" charset="UTF-8"></script>
        <script src="../../../assets/js/alertify.min.js"></script>
        <script src="../../../assets/js/compare-strings.js"></script><%final String datePickerFormat=ConstantsForm.DATE_PICKER_FORMAT;%>
        <script type="text/javascript">
                function isNumber(n) {
                    return !isNaN(parseFloat(n)) && isFinite(n);
                }
                $(document).ready(function() {
                    $('#<%=initialDate%>').datepicker({
                        format: "<%=datePickerFormat%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    }).datepicker().on('changeDate', function(ev) {
                        alertify.log('<%=CurrentLanguage.getString(Text.MODIFY_SUBJECT_COMPETENCE_DATES_ALERT,request)%>');
                        var initialDate = new Date(ev.date.getFullYear(), ev.date.getMonth(), ev.date.getDate(), 0, 0, 0);
                        var finalDate = $('#<%=finalDate%>').datepicker('getDate');
                        if (finalDate != null && finalDate != 'undefined') {
                            if (finalDate < initialDate || Math.abs(moment(initialDate).diff(moment(finalDate), 'days')) > 1096) {
                                $('#<%=initialDate%>').datepicker('update', new Date(finalDate));
                                alertify.error('<%=CurrentLanguage.getString(Text.CSC_TEACHER_INITIAL_DATE_ALERT,request)%>');
                            }
                        }
                    });
                    $('#<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE%>').datepicker({
                        format: "<%=datePickerFormat%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    }).datepicker().on('changeDate', function(ev) {
                        alertify.log('<%=CurrentLanguage.getString(Text.MODIFY_SUBJECT_COMPETENCE_DATES_ALERT,request)%>');
                        var finalDate = new Date(ev.date.getFullYear(), ev.date.getMonth(), ev.date.getDate(), 0, 0, 0);
                        var initialDate = $('#<%=initialDate%>').datepicker('getDate');
                        if (initialDate != null && initialDate != 'undefined') {
                            if (finalDate < initialDate || Math.abs(moment(initialDate).diff(moment(finalDate), 'days')) > 1096) {
                                $('#<%=finalDate%>').datepicker('update', new Date(initialDate));
                                alertify.error('<%=CurrentLanguage.getString(Text.CSC_TEACHER_FINAL_DATE_ALERT,request)%>');
                            }
                        }
                    });
                    $('input[maxlength]').maxlength({alwaysShow: true});
                    $('textarea').maxlength({alwaysShow: true});
                });
                function checkFields() {
                    var MEN = '<%=CurrentLanguage.getString(Text.NO_NULL,request)%>';
                    var myTitleFieldValue = removeDiacritics('<%=oldTitle%>'.toLowerCase());
                    var isInvalid = false;
                    $("#<%=associatedTitle%> option").each(function()
                    {
                        if (myTitleFieldValue == removeDiacritics($(this).val().toLowerCase())) {
                            isInvalid = true;
                        }
                    });
                    if (isInvalid) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.SUBJECT_COMPETENCE_REPEAT,request)%>');
                        return false;
                    }
                    var myInitialDateField = document.forms["<%=myForm%>"]["<%=initialDate%>"];
                    var myInitialDateValue = Number(myInitialDateField.value);
                    if (myInitialDateValue == 0) {
                        bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_INITIAL_DATE,request)%>');
                        myInitialDateField.focus();
                        return false;
                    }
                    var myFinalDateField = document.forms["<%=myForm%>"]["<%=finalDate%>"];
                    var myFinalDateValue = Number(myFinalDateField.value);
                    if (myFinalDateValue == 0) {
                        bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_FINAL_DATE,request)%>');
                        myFinalDateField.focus();
                        return false;
                    }
                    var myPeriodsField = document.forms["<%=myForm%>"]["<%=myPeriods%>"];
                    var myPeriods = myPeriodsField.value;
                    if (!isNumber(myPeriods)) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.MUST_BE_NUMBER,request)%>' + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_PERIODS,request)%>');
                        myPeriodsField.focus();
                        return false;
                    }
                    myPeriods = Number(myPeriods);
                    if (myPeriods == null || myPeriods < <%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MIN%>) {
                        bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_PERIODS,request)%>');
                        myPeriodsField.focus();
                        return false;
                    }
                    if (myPeriods > <%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MAX%>) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_PERIODS,request)%>' + ': <%=CurrentLanguage.getString(Text.CSC_TEACHER_MAX_PERIODS,request)%>');
                        myPeriodsField.focus();
                        return false;
                    }
                }
        </script>
    </body>
</html>