<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.entity.EvaluationPeriod"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="java.util.List"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
int subjectCompetenceIndex;
   try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
final String webName=CurrentLanguage.getString(Text.CSC_TEACHER_DEFINE_PERIODS,request);
final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);%>
<!DOCTYPE html>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/datepicker3.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <%final SubjectCompetence selected = (SubjectCompetence) request.getAttribute(Constants.ATT_S_C_SELECTED_DATA);%>
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/EditSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_EDIT,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_MODIFY_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/Edit/ModifySubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String myForm = ConstantsForm.FORM_NAME_ID;
            final Integer nPeriods = (Integer) request.getAttribute(Constants.ATT_CREATE_N_PERIODS);
              if(nPeriods==null){
                   throw new Exception(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
              }
            final Date initialDatePicker = (Date) request.getAttribute(Constants.ATT_CREATE_INITIAL_DATE);
            final Date finalDatePicker = (Date) request.getAttribute(Constants.ATT_CREATE_FINAL_DATE);
            final SimpleDateFormat formatter = new SimpleDateFormat(ConstantsForm.DATE_PICKER_FORMAT_JAVA);
            final String initialDatePickerString = formatter.format(initialDatePicker);
            final String finalDatePickerString = formatter.format(finalDatePicker);
            %>
            <form name="<%=myForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_MODIFY_SUBJECT_COMPETENCE_3%>&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Message.jsp&<%=Constants.CONTROLLER_MESSAGE_NEXT_URL%>=/&paj=2" onsubmit="return checkFields();" method="post">
                <input value="<%=request.getAttribute(Constants.ATT_CREATE_TITLE)%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_TITLE%>" maxlength="<%=ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX%>">
                <input value="<%=initialDatePickerString%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_INITIAL_DATE%>">
                <input value="<%=finalDatePickerString%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE%>">
                <input value="<%=nPeriods%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS%>" min="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MIN%>" max="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MAX%>">
                <input value="<%=request.getAttribute(Constants.ATT_CREATE_DESCRIPTION)%>" type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_DESCRIPTION%>" maxlength="<%=ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_DESCRIPTION_MAX%>">
                <input value="<%=request.getAttribute(Constants.ATT_CREATE_ASSOCIATED_SC_TITLE)%>" type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_ASSOCIATED%>">
                <div class="row placeholders">
                    <%
                    final String initialDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_INITIAL_DATE;
                    final String finalDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE;
                    final ArrayList<EvaluationPeriod> evPeriodsList = (ArrayList<EvaluationPeriod>) request.getAttribute(Constants.ATT_MODIFY_N_PERIODS);
                    EvaluationPeriod eval;
                    Date evalInitialDate;
                    Date evalFinalDate;
                    for (int i=0;i<nPeriods;i++){
                        // Each time in the for reinitialize vars.
                        evalInitialDate=initialDatePicker;
                        evalFinalDate=finalDatePicker;
                        try{
                            eval=evPeriodsList.get(i);
                            evalInitialDate=eval.getInitialDate();
                            evalFinalDate = eval.getFinalDate();
                        }catch(final Exception e){}
                    %>
                    <div class="col-lg-<%=nPeriods==1?12:4%>" align="center" id="sandbox-container">
                        <%final int current = i+1;%>
                        <h3><%=CurrentLanguage.getString(Text.PERIOD,request)+' '+current%></h3>
                        <p><div id="datepicker" class="input-daterange input-group">
                            <input id="<%=initialDate%><%=current%>" required aria-required="true" name="<%=initialDate%><%=current%>" type="text" class="input-sm form-control" value="<%=new SimpleDateFormat(ConstantsForm.DATE_PICKER_FORMAT_JAVA).format(evalInitialDate.after(initialDatePicker)?initialDatePicker:evalInitialDate)%>"/>
                            <span class="input-group-addon"><%=CurrentLanguage.getString(Text.TO,request)%></span>
                            <input id="<%=finalDate%><%=current%>"required aria-required="true" name="<%=finalDate%><%=current%>" type="text" class="input-sm form-control" value="<%=new SimpleDateFormat(ConstantsForm.DATE_PICKER_FORMAT_JAVA).format(evalFinalDate.after(finalDatePicker)?finalDatePicker:evalFinalDate)%>"/>
                        </div></p>
                    </div>
                    <%}%>
                </div>
                <div align="center">
                    <button type="button" onclick="goBack();" value="<%=CurrentLanguage.getString(Text.BACK,request)%>" class="btn btn-info"><h4><%=CurrentLanguage.getString(Text.BACK,request)%></h4></button>
                    <button type="submit" value="<%=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request)%>" class="btn btn-success" id="submit"><h4><%=CurrentLanguage.getString(Text.S_C_EDIT_MODIFY,request)%></h4></button>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script type="text/javascript" src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootbox.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootstrap-datepicker.js"></script>
        <script src="../../../assets/js/locales/bootstrap-datepicker.<%=languageCode%>.js" charset="UTF-8"></script>
        <script type="text/javascript">
                function goBack()
                {
                    window.history.back();
                }
                function isNumber(n) {
                    return !isNaN(parseFloat(n)) && isFinite(n);
                }
                var TOTAL = <%=nPeriods==null?0:nPeriods%>;
                $(document).ready(function() {
                    $('#sandbox-container .input-daterange').datepicker({
                        format: "<%=ConstantsForm.DATE_PICKER_FORMAT%>",
                        startDate: "<%=formatter.format(initialDatePicker)%>",
                        endDate: "<%=formatter.format(finalDatePicker)%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    });
                });
                function checkFields() {
                    var MEN = '<%=CurrentLanguage.getString(Text.NO_NULL,request)%>';
                    // 1. Not null
                    for (i = 1; i <= TOTAL; i++) {
                        var myInitialDateField = document.forms["<%=myForm%>"]["<%=initialDate%>" + i];
                        var myInitialDateValue = Number(myInitialDateField.value);
                        if (myInitialDateValue == 0) {
                            bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_INITIAL_DATE,request)%>' + i);
                            myInitialDateField.focus();
                            return false;
                        }
                        var myFinalDateField = document.forms["<%=myForm%>"]["<%=finalDate%>" + i];
                        var myFinalDateValue = Number(myFinalDateField.value);
                        if (myFinalDateValue == 0) {
                            bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_FINAL_DATE,request)%>' + i);
                            myFinalDateValue.focus();
                            return false;
                        }
                    }
                }
        </script>
    </body>
</html>