package classcontrol.dao;

/**
 * Contains names of: database, tables, attributes and defaul valours of Class
 * Control database.
 *
 * ATTENTION: If Class Control database changes this class shuld be changed too.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public final class ConstantsDB {

    /**
     * Class Control database table: teacher
     */
    final static String TABLE_NAME_TEACHER = "teacher";
    /**
     * Database Teacher view.
     */
    final static String VIEW_TEACHER = "teacher_view";
    /**
     * Class Control database teacher table attribute.
     */
    final static String TABLE_TEACHER_ATT_ID_EDMODO = "id_edmodo";
    /**
     * Class Control database teacher table attribute.
     */
    final static String TABLE_TEACHER_ATT_ID_LANGUAGE = "id_language";
    /**
     * Class Control database teacher table attribute.
     */
    final static String TABLE_TEACHER_ATT_ID_TEACHER = "id_teacher";
    /**
     * Class Control database table: teacher
     */
    final static String TABLE_NAME_PARENT = "parent";
    /**
     * Class Control database table: teacher
     */
    final static String TABLE_NAME_STUDENT = "student";
    final static String VIEW_STUDENT = "student_view";
    /**
     * Class Control database table: subject / competence
     */
    final static String TABLE_NAME_SUBJECT_COMPETENCE = "subject_competence";
    final static String VIEW_SUBJECT_COMPETENCE = "subject_competence_view";
    /**
     * Class Control database table: evaluation period
     */
    final static String TABLE_NAME_EVALUATION_PERIOD = "evaluation_period";
    /**
     * Class Control database table: absence
     */
    final static String TABLE_NAME_ABSENCE = "absence";
    final static String VIEW_ABSENCE = "absence_view";
    /**
     * Class Control database table: assignment
     */
    final static String TABLE_NAME_ASSIGNMENT = "assignment";
    final static String VIEW_ASSIGNMENT = "assignment_view";
    /**
     * Class Control database table: bonus penalization
     */
    final static String TABLE_NAME_BONUS_PENALIZATION = "bonus_penalization";
    final static String VIEW_BONUS_PENALIZATION = "bonus_penalization_view";
    final static String TABLE_BONUS_PENALIZATION_ATT_S_C_TEACHER_ID = "subject_competence_teacher_id_fk";
    final static String TABLE_BONUS_PENALIZATION_ATT_S_C_TITLE = "subject_competence_title_fk";
    final static String TABLE_BONUS_PENALIZATION_ATT_STUDENT_ID = "student_id_fk";
    final static String TABLE_BONUS_PENALIZATION_ATT_SCORE = "score";
    final static String TABLE_BONUS_PENALIZATION_ATT_REASON = "reason";
    final static String VIEW_EVALUATION_PERIOD_S_C_EDMODO = "evaluation_period_s_c_edmodo";
    /**
     * Class Control database table: qualification
     */
    final static String TABLE_NAME_QUALIFICATION = "qualification";
    final static String VIEW_QUALIFICATION = "qualification_view";
    final static String TABLE_QUALIFICATION_ATT_ASSIGNMENT_ID = "assignment_id_fk";
    final static String TABLE_QUALIFICATION_ATT_STUDENT_ID = "student_id_fk";
    final static String TABLE_QUALIFICATION_ATT_OPTIONAL_COMMENT = "optional_comment";
    final static String TABLE_QUALIFICATION_ATT_VISIBLE_STUDENT = "visible_student";
    final static String TABLE_QUALIFICATION_ATT_VISIBLE_PARENT = "visible_parent";
    final static String TABLE_QUALIFICATION_ATT_BONUS_PENALIZATION = "bonus_penalization";
    final static String TABLE_QUALIFICATION_ATT_REASON = "reason_bonus_penalization";
    final static String TABLE_ASSIGNMENT_ATT_ID_ASSIGNMENT = "id_assignment";
    final static String TABLE_ASSIGNMENT_ATT_ID_EDMODO_ASSIGNMENT = "id_edmodo";
    final static String TABLE_ASSIGNMENT_ATT_ASSOCIATED_WEIGHT = "associated_weight";
    final static String TABLE_ASSIGNMENT_ATT_TYPE = "type";
    final static String TABLE_ASSIGNMENT_ATT_DATE = "date";
    final static String TABLE_ASSIGNMENT_ATT_MAX_GRADE = "max_grade";
    final static String TABLE_ASSIGNMENT_ATT_S_C_TEACHER_ID = "subject_competence_teacher_id_fk";
    final static String TABLE_ASSIGNMENT_ATT_S_C_TITLE = "subject_competence_title_fk";
    final static String TABLE_NAME_BEHAVIOUR_ATTITUDE_ASPECT = "behaviour_attitude_aspect";
    final static String VIEW_BEHAVIOUR_ATTITUDE_ASPECT = "behaviour_attitude_aspect_view";
    final static String TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_TEACHER_ID = "teacher_id_teacher";
    final static String TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_NAME = "name";
    final static String TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_EDMODO_ID = "edmodo_id";
    final static String TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_TYPE = "type";
    final static String TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_DESCRIPTION = "description";
    final static String TABLE_NAME_EVALUABLE_ITEM = "evaluable_item";
    final static String TABLE_EVALUABLE_ITEM_ATT_ASSIGNMENT_ID = "assignment_id_fk";
    final static String TABLE_EVALUABLE_ITEM_ATT_NAME = "name";
    final static String TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT = "associated_weight";
    final static String VIEW_EVALUABLE_ITEM_STUDENT = "evaluable_item_student_view";
    final static String TABLE_NAME_EVALUABLE_ITEM_STUDENT = "evaluable_item_student";
    final static String TABLE_EVALUABLE_ITEM_STUDENT_ATT_STUDENT_ID = "student_id_fk";
    final static String TABLE_EVALUABLE_ITEM_STUDENT_ATT_EVALUABLE_ITEM_NAME = "evaluable_item_name_fk";
    final static String TABLE_EVALUABLE_ITEM_STUDENT_ATT_EVALUABLE_ITEM_ASSIGNMENT_ID = "evaluable_item_assignment_id_fk";
    final static String TABLE_EVALUABLE_ITEM_STUDENT_ATT_SCORE = "score";
    final static String TABLE_NAME_ASPECT_STUDENT = "aspect_student";
    final static String VIEW_ASPECT_STUDENT = "aspect_student_view";
    final static String TABLE_ASPECT_STUDENT_ATT_STUDENT_ID = "student_id_fk";
    final static String TABLE_ASPECT_STUDENT_ATT_ASPECT_TEACHER_ID = "aspect_teacher_id_fk";
    final static String TABLE_ASPECT_STUDENT_ATT_ASPECT_NAME = "aspect_name_fk";
    final static String TABLE_ASPECT_STUDENT_ATT_S_C_TEACHER_ID = "subject_competence_teacher_id_fk";
    final static String TABLE_ASPECT_STUDENT_ATT_S_C_TITLE = "subject_competence_title_fk";
    final static String TABLE_ASPECT_STUDENT_ATT_DATE = "date";
    final static String TABLE_ABSENCE_ATT_DATE = "dates";
    final static String TABLE_ABSENCE_ATT_STUDENT_ID = "student_absence_student_id_fk";
    final static String TABLE_ABSENCE_ATT_S_C_TEACHER_ID = "student_absence_subject_competence_teacher_id_fk";
    final static String TABLE_ABSENCE_ATT_S_C_TITLE = "student_absence_subject_competence_title_fk";
    final static String TABLE_STUDENT_ATT_ID_STUDENT = "id_student";
    final static String TABLE_STUDENT_ATT_ID_EDMODO = "id_edmodo";
    final static String TABLE_STUDENT_ATT_ID_LANGUAGE = "id_language";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_ID_TEACHER = "teacher_id";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_TITLE = "title";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_ID_ED_GROUP = "edmodo_group";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_I_DATE = "initial_date";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_F_DATE = "final_date";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_DESCRIPTION = "description";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_ID_ASS_S_C_ID_TEACHER = "subject_competence_teacher_id";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_ASS_S_C_TITLE = "subject_competence_title";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_NON_ACADEMIC_DAYS = "non_academic_days";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_EACH_POSITIVE = "each_positive_weight";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_EACH_NEGATIVE = "each_negative_weight";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_MAX_POSITIVE = "max_positive_weight";
    final static String TABLE_SUBJECT_COMPETENCE_ATT_MAX_NEGATIVE = "max_negative_weight";
    final static String TABLE_EVALUATION_PERIOD_ATT_ID_EVALUATION_PERIOD = "id_evaluation_period";
    final static String TABLE_EVALUATION_PERIOD_ATT_INITITAL_DATE = "initial_date";
    final static String TABLE_EVALUATION_PERIOD_ATT_FINAL_DATE = "final_date";
    final static String TABLE_EVALUATION_PERIOD_ATT_PERCENTAGE = "percentage";
    final static String TABLE_EVALUATION_PERIOD_ATT_S_C_TEACHER_ID = "subject_competence_teacher_id_fk";
    final static String TABLE_EVALUATION_PERIOD_ATT_S_C_TITLE = "subject_competence_title_fk";
    final static String TABLE_PARENT_ATT_ID_EDMODO = "id_edmodo";
    final static String TABLE_PARENT_ATT_ID_LANGUAGE = "id_language";
    final static String VIEW_EVALUABLE_ITEMS_ASSIGNMENT = "evaluable_item_assignment_view";
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX = 45;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_ID_ED_GROUP_MAX = 45;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_DESCRIPTION_MAX = 100;
    /**
     *
     */
    public final static byte TABLE_NULL_WEIGHT = 0;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_ASPECTS_WEIGHT_MAX = 100;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_EACH_POSITIVE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_ASPECTS_WEIGHT_MAX;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_EACH_NEGATIVE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_ASPECTS_WEIGHT_MAX;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_MAX_POSITIVE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_ASPECTS_WEIGHT_MAX;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_MAX_NEGATIVE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_ASPECTS_WEIGHT_MAX;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_EACH_POSITIVE_MIN = TABLE_NULL_WEIGHT;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_EACH_NEGATIVE_MIN = TABLE_NULL_WEIGHT;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_MAX_POSITIVE_MIN = TABLE_NULL_WEIGHT;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_MAX_NEGATIVE_MIN = TABLE_NULL_WEIGHT;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_EACH_POSITIVE_DEF = TABLE_SUBJECT_COMPETENCE_ATT_EACH_POSITIVE_MIN;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_EACH_NEGATIVE_DEF = TABLE_SUBJECT_COMPETENCE_ATT_EACH_NEGATIVE_MIN;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_MAX_POSITIVE_DEF = TABLE_SUBJECT_COMPETENCE_ATT_MAX_POSITIVE_MIN;
    /**
     *
     */
    public final static byte TABLE_SUBJECT_COMPETENCE_ATT_MAX_NEGATIVE_DEF = TABLE_SUBJECT_COMPETENCE_ATT_MAX_NEGATIVE_MIN;
    /**
     *
     */
    public final static int TABLE_SUBJECT_COMPETENCE_ATT_NON_ACADEMIC_DAYS_MAX = 5800;
    /**
     *
     */
    public final static byte TABLE_ID_MIN = 1;
    /**
     *
     */
    public final static byte TABLE_NULL_ID = 0;
    /**
     *
     */
    public final static byte TABLE_EVALUATION_PERIOD_ATT_PERCENTAGE_MAX = 100;
    /**
     *
     */
    public final static byte TABLE_EVALUATION_PERIOD_ATT_PERCENTAGE_MIN = 0;
    /**
     *
     */
    public final static byte TABLE_EVALUATION_PERIOD_ATT_PERCENTAGE_DEF = TABLE_EVALUATION_PERIOD_ATT_PERCENTAGE_MIN;
    /**
     *
     */
    public final static byte TABLE_ABSENCE_ATT_S_C_TITLE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static int TABLE_ABSENCE_ATT_DATE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_NON_ACADEMIC_DAYS_MAX;
    /**
     *
     */
    public final static byte TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_EDMODO_ID_MAX = TABLE_SUBJECT_COMPETENCE_ATT_ID_ED_GROUP_MAX;
    /**
     *
     */
    public final static byte TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_S_C_TITLE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_TEACHER_ATT_ID_EDMODO_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_STUDENT_ATT_ID_EDMODO_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_PARENT_ATT_ID_EDMODO_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_EVALUABLE_ITEM_ATT_NAME_MAX = 30;
    /**
     *
     */
    public final static byte TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_MAX = 100;
    /**
     *
     */
    public final static byte TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_MIN = 0;
    /**
     *
     */
    public final static byte TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_DEF = TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_MIN;
    /**
     *
     */
    public final static byte TABLE_ASSIGNMENT_ATT_ID_EDMODO_ASSIGNMENT_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_ASSIGNMENT_ATT_ASSOCIATED_WEIGHT_MAX = TABLE_EVALUATION_PERIOD_ATT_PERCENTAGE_MAX;
    /**
     *
     */
    public final static byte TABLE_ASSIGNMENT_ATT_ASSOCIATED_WEIGHT_MIN = 0;
    /**
     *
     */
    public final static byte TABLE_ASSIGNMENT_ATT_S_C_TITLE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_BONUS_PENALIZATION_ATT_S_C_TITLE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_BONUS_PENALIZATION_ATT_REASON_MAX = 45;
    /**
     *
     */
    /**
     *
     */
    public final static byte TABLE_ASPECT_STUDENT_ATT_S_C_TITLE_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_ASPECT_STUDENT_ATT_ASPECT_NAME_MAX = 50;
    /**
     *
     */
    /**
     *
     * Possible assignment type. See {@link ConstantsDB#TABLE_ASSIGNMENT_ATT_TYPE_ONLINE_INDEX},
     * {@link ConstantsDB#TABLE_ASSIGNMENT_ATT_TYPE_OFFLINE_INDEX}, {@link ConstantsDB#TABLE_ASSIGNMENT_ATT_TYPE_ONLINE_ASSIGNMENT_INDEX},
     * {@link ConstantsDB#TABLE_ASSIGNMENT_ATT_TYPE_TYPES_OFFLINE_ASSIGNMENT_INDEX}
     * and {@link ConstantsDB#TABLE_ASSIGNMENT_ATT_TYPE_TYPES_DEFAULT_INDEX} to
     * get the suituable index.
     */
    public final static byte[] TABLE_ASSIGNMENT_ATT_TYPE_TYPES = new byte[]{0, 1, 2, 3};
    /**
     * Online grade type.
     */
    public final static byte TABLE_ASSIGNMENT_ATT_TYPE_ONLINE_INDEX = 0;
    /**
     * Offline grade type.
     */
    public final static byte TABLE_ASSIGNMENT_ATT_TYPE_OFFLINE_INDEX = 1;
    /**
     * Online assignment type.
     */
    public final static byte TABLE_ASSIGNMENT_ATT_TYPE_ONLINE_ASSIGNMENT_INDEX = 2;
    /**
     * Offline assignment type.
     */
    public final static byte TABLE_ASSIGNMENT_ATT_TYPE_OFFLINE_ASSIGNMENT_INDEX = 3;
    /**
     * Default assignment type.
     */
    public final static byte TABLE_ASSIGNMENT_ATT_TYPE_TYPES_DEFAULT_INDEX = TABLE_ASSIGNMENT_ATT_TYPE_ONLINE_INDEX;
    /**
     *
     * Possible behaviour attitude type. See {@link ConstantsDB#TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_POSITIVE_INDEX},
     * {@link ConstantsDB#TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_NEGATIVE_INDEX}
     * and {@link ConstantsDB#TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_DEFAULT_INDEX}
     * to get the suituable index.
     */
    public final static byte[] TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_TYPE_TYPES = new byte[]{0, 1};
    /**
     * Behaviour attitude positive type index.
     */
    public final static byte TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_POSITIVE_INDEX = 1;
    /**
     * Behaviour attitude negative type index.
     */
    public final static byte TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_NEGATIVE_INDEX = 0;
    /**
     * Default behaviour attitude type index.
     */
    public final static byte TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_DEFAULT_INDEX = TABLE_BEHAVIOUR_ATTITUDE_ASPECT_ATT_POSITIVE_INDEX;
    /**
     *
     */
    public final static byte TABLE_QUALIFICATION_ATT_REASON_MAX = TABLE_BONUS_PENALIZATION_ATT_REASON_MAX;
    /**
     *
     */
    public final static byte TABLE_QUALIFICATION_ATT_OPTIONAL_COMMENT_MAX = 45;
    /**
     *
     * Possible student and parent qualification visiblity. See {@link ConstantsDB#TABLE_QUALIFICATION_ATT_VISIBLE_YES_INDEX},
     * {@link ConstantsDB#TABLE_QUALIFICATION_ATT_VISIBLE_NO_INDEX} and
     * {@link ConstantsDB#TABLE_QUALIFICATION_ATT_VISIBLE_DEFAULT_INDEX} to get
     * the suituable index.
     */
    public final static byte[] TABLE_QUALIFICATION_ATT_VISIBLE_TYPES = new byte[]{0, 1};
    /**
     * Qualification visible index.
     */
    public final static byte TABLE_QUALIFICATION_ATT_VISIBLE_YES_INDEX = 1;
    /**
     * Qualification no visible index.
     */
    public final static byte TABLE_QUALIFICATION_ATT_VISIBLE_NO_INDEX = 0;
    /**
     * Default qualification visibility index.
     */
    public final static byte TABLE_QUALIFICATION_ATT_VISIBLE_DEFAULT_INDEX = TABLE_QUALIFICATION_ATT_VISIBLE_YES_INDEX;
    /**
     * Edmodo API rule: limit 50 characters.
     */
    public final static byte CREATE_BEHAVIOUR_ATTITUDE_ASPECT_NAME_MAX = 50;
    /**
     *
     */
    public final static byte CREATE_ASSIGNMENT_TITLE_MAX = CREATE_BEHAVIOUR_ATTITUDE_ASPECT_NAME_MAX;
    /**
     *
     */
    public final static int CREATE_ASSIGNMENT_DESCRIPTION_MAX = 100;
    /**
     * Edmodo API rule: limit 140 characters.
     */
    public final static int CREATE_BEHAVIOUR_ATTITUDE_ASPECT_DESCRIPTION_MAX = 140;
    /**
     * Edmodo API rule: limit 45 characters.
     */
    public final static int CREATE_BEHAVIOUR_ATTITUDE_ASPECT_ID_EDMODO_MAX = TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte TABLE_EVALUABLE_ITEM_STUDENT_ATT_EVALUABLE_ITEM_NAME_MAX = TABLE_EVALUABLE_ITEM_ATT_NAME_MAX;
    public final static byte TABLE_ASSIGNMENT_ATT_MAX_GRADE_DEF = 0;
}