<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="javax.servlet.http.HttpSession"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="classcontrol.entity.Student"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.List"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
final HttpSession mSession=request.getSession();
final String studentEdmodoId=(String) mSession.getAttribute(Constants.SESSION_ID_EDMODO_USER);
if (studentEdmodoId==null || studentEdmodoId.length()==0){
throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
        final String webName=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS_EVALUATION_REPORT,request);
        final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);
        final SubjectCompetence mSubjectCompetence = ((List<SubjectCompetence>) mSession.getAttribute(studentEdmodoId)).get(subjectCompetenceIndex);
        final String subjectCompetenceTitle = mSubjectCompetence.getTitle();
        final String myTable=ConstantsForm.TABLE_NAME;
        final Student currentStudent = (Student) request.getAttribute(Constants.ATT_STUDENT_DATA);
        final String currentStudentName = currentStudent.getFullName();
        final String inventedClass="savebtn";
        final int EVALUATION_PERIODS_SIZE = (Integer) request.getAttribute(Constants.ATT_N_EVALUATION_PERIODS);
%>
<!DOCTYPE html>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../assets/css/jquery.dataTables.min.css" rel="stylesheet">
        <link href="../../assets/css/dataTables.tableTools.min.css" rel="stylesheet">
        <link href="../../assets/css/table.css" rel="stylesheet">
        <link href="../../assets/css/alertify.core.css" rel="stylesheet">
        <link href="../../assets/css/bootstrap-rowlink.min.css" rel="stylesheet">
        <link href="../../assets/css/alertify.default.css" rel="stylesheet">
        <style type="text/css">
            #<%=myTable%> td + td, #<%=myTable%> th + th {
                text-align: right
            }
            .<%=inventedClass%>{
                color: white !important;
                background: #5cb85c !important
            }
        </style>
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE+'&'+Constants.CONTROLLER_NEXT_URL+"=/Student/SelectSubjectCompetence.jsp&"%>"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final int TITLE_LENGTH=subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE+'&'+Constants.CONTROLLER_NEXT_URL+"=/Student/SubjectCompetence/SubjectCompetence.jsp&"+'&'+Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED+'='+subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <div class="col-xs-12 col-sm-12 placeholder"><%final SimpleDateFormat mSimpleDateFormat=ConstantsForm.DATE_SIMPLE_DATE_FORMAT;%>
                    <h3><%=subjectCompetenceTitle+": "+mSimpleDateFormat.format(mSubjectCompetence.getInitialDate())+' '+CurrentLanguage.getString(Text.TO,request)+' '+mSimpleDateFormat.format(mSubjectCompetence.getFinalDate())%>. <%=CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_MAX_QUALIFICATION,request)%>: <%=ConstantsForm.NORMALIZE%></h3>
                    <p style="text-align: center;"><i><%=mSubjectCompetence.getDescription()%></i></p>
                </div>
                <div class="col-xs-12 col-sm-12 placeholder">
                    <div class="table-responsive"><%=(StringBuilder)request.getAttribute(Constants.ATT_HTML_TABLE)%></div>
                    <div align="center"><%final String backText=CurrentLanguage.getString(Text.BACK,request);%>
                        <p style="text-align: center;"><button onclick="goBack();" type="button" value="<%=backText%>" class="btn btn-info"><h4><%=backText%></h4></button></p>
                    </div>
                </div>
            </div>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../assets/js/bootstrap.min.js"></script>
        <script src="../../assets/js/jquery.dataTables.min.js"></script>
        <script src="../../assets/js/dataTables.tableTools.min.js"></script>
        <script src="../../assets/js/mindmup-editabletable.js"></script>
        <script src="../../assets/js/bootstrap-rowlink.min.js"></script>
        <script src="../../assets/js/flash.js"></script>
        <script src="../../assets/js/alertify.min.js"></script>
        <script><%final String msgErrorAjax =CurrentLanguage.getString(Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ERROR,request);%>
                            var nPeriods = <%=EVALUATION_PERIODS_SIZE%>;
                            function goBack()
                            {
                                window.history.back();
                            }
            <%final StringBuilder myColumns= new StringBuilder();%>
                            var evalItemColumn = [<%for (int i=1;i<=EVALUATION_PERIODS_SIZE;i++){myColumns.append("null,");%><%=((i>1)?",":"")+i%><%}myColumns.append("null,null,null,null,null,null,null");%>];
                            function getSecMinHour() {
                                var currentDate = new Date(new Date().getTime());
                                var seconds = currentDate.getSeconds();
                                var minutes = currentDate.getMinutes();
                                var hour = currentDate.getHours();
                                if (seconds < 10) {
                                    seconds = '0' + seconds;
                                }
                                if (minutes < 10) {
                                    minutes = '0' + minutes;
                                }
                                if (hour < 10) {
                                    hour = '0' + hour;
                                }
                                return hour + ':' + minutes + ':' + seconds;
                            }
                            $(document).ready(function() {
                                var currentDate = new Date(new Date().getTime());
                                var day = currentDate.getDate();
                                var month = currentDate.getMonth() + 1;
                                var year = currentDate.getFullYear();
                                if (day < 10) {
                                    day = '0' + day;
                                }
                                if (month < 10) {
                                    month = '0' + month;
                                }
                                var dateSeparator = '<%=ConstantsForm.DAY_MONTH_SEPARATOR%>';
                                $('#<%=myTable%>').dataTable({
                                    "language": {
                                        "url": "../../assets/js/locales/<%=languageCode%>_DT.txt"
                                    }, "bInfo": false, "bLengthChange": false, "bPaginate": false, "bFilter": false,
                                    "sDom": 'T<"clear">lfrtip',
                                    "aoColumns": [
                                        {"bVisible": false},<%=myColumns%>],
                                    "oTableTools": {
                                        "sSwfPath": "../../assets/swf/copy_csv_xls_pdf.swf",
                                        "aButtons": (hasFlash() ? [
                                            {
                                                "sExtends": "copy",
                                                "mColumns": "visible",
                                                "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_COPY,request)%>",
                                                "fnComplete": function(nButton, oConfig, flash, text) {
                                                    this.fnInfo('<%=CurrentLanguage.getString(Text.TABLES_COPY_TEXT,request)%>',
                                                            1500
                                                            );
                                                }
                                            },
                                            {"sExtends": "csv", "sCharSet": "utf16le", "mColumns": "visible"},
                                            {"sExtends": "xls", "mColumns": "visible", "sFileName": "*.xls"},
                                            {"sExtends": "pdf", "mColumns": "visible", "sPdfOrientation": "portrait",
                                                "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_PDF_V,request)%>",
                                                "sPdfMessage": "<%=CurrentLanguage.getString(Text.TABLES_PDF_MSG,request)%> Class Control " + day + dateSeparator + month + dateSeparator + year + ' ' + getSecMinHour(),
                                                "sToolTip": "<%=CurrentLanguage.getString(Text.ORIENTATION_HINT,request)%>",
                                                "sTitle": '<%=subjectCompetenceTitle%>'
                                            }, {"sExtends": "pdf", "mColumns": "visible", "sPdfOrientation": "landscape",
                                                "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_PDF_H,request)%>",
                                                "sToolTip": "<%=CurrentLanguage.getString(Text.ORIENTATION_HINT,request)%>",
                                                "sPdfMessage": "<%=CurrentLanguage.getString(Text.TABLES_PDF_MSG,request)%> Class Control " + day + dateSeparator + month + dateSeparator + year + ' ' + getSecMinHour(),
                                                "sTitle": '<%=subjectCompetenceTitle%>'
                                            },
                                            {
                                                "sExtends": "print", "mColumns": "visible",
                                                "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_PRINT,request)%>",
                                                "sInfo": "<%=CurrentLanguage.getString(Text.TABLES_PRINT_TEXT,request)%>"
                                            }
                                        ] : [{
                                                "sExtends": "print", "mColumns": "visible",
                                                "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_PRINT,request)%>",
                                                "sInfo": "<%=CurrentLanguage.getString(Text.TABLES_PRINT_TEXT,request)%>"
                                            }])
                                    }, "fnRowCallback": function(nRow, aData, iDisplayIndex, iDisplayIndexFull) {
                                        $(nRow).addClass("rowlink");
                                        $(nRow).rowlink($(nRow).data());
                                    }, "dom": 'Rlfrtip'
                                });
                                $('#<%=myTable%> tbody tr').click(function() {
                                    window.open("/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_ASSIGNMENT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Student/SubjectCompetence/SelectAssignment.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>", "_self");
                                });
                                $('[rel=popover]').popover({container: 'body'});
                                alertify.log("<%=CurrentLanguage.getString(Text.PARENT_EVALUATION_INFORM_HINT,request)%>");
                            });
        </script>
    </body>
</html>