<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%SecurityModel.isValid(request,response);
final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);
final String webName=CurrentLanguage.getString(Text.INDEX_TEACHER_MY_ASPECTS,request);%>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../assets/css/navbar.css" rel="stylesheet">
        <link href="../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <div class="col-xs-6 col-sm-3 placeholder">
                    <%final String create = CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT,request);%>
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_CREATE_ASPECT_B_A%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Aspect/CreateBehaviourAttitude.jsp"><img src="../../assets/img/menu/Shape 203.png" class="img-responsive" alt="<%=create%>">
                        <h4><%=create%></h4></a>
                </div>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <%final String modify = CurrentLanguage.getString(Text.MY_ASPECTS_MODIFY_TITLE,request);%>
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_MODIFY_ASPECT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Aspect/ModifyBehaviourAttitude.jsp"><img src="../../assets/img/menu/Shape 205.png" class="img-responsive" alt="<%=modify%>">
                        <h4><%=modify%></h4></a>
                </div>
            </div>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../assets/js/bootstrap.min.js"></script>
    </body>
</html>