<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%SecurityModel.isValid(request,response);
final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);
final String webName=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_C_S_C,request);%>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../assets/css/navbar.css" rel="stylesheet">
        <link href="../assets/css/dashboard.css" rel="stylesheet">
        <link href="../assets/css/datepicker3.css" rel="stylesheet">
        <link href="../assets/css/alertify.core.css" rel="stylesheet">
        <link href="../assets/css/alertify.default.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String myForm = ConstantsForm.FORM_NAME_ID;%>
            <form name="<%=myForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_CREATE_SUBJECT_COMPETENCE_2%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/CreateSubjectCompetence2.jsp" onsubmit="return checkFields();" method="post">
                <div class="row placeholders">
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_GROUP,request)%> *</h3>
                        <p><%final String idEdmodoGroup=ConstantsForm.CREATE_SUBJECT_COMPETENCE_ED_GROUP;%>
                            <select id="<%=idEdmodoGroup%>" name="<%=idEdmodoGroup%>">
                                <%final ArrayList<String> groupsTitle = (ArrayList<String>) request.getAttribute(Constants.ATT_GROUPS_TITLE);
                                if(groupsTitle==null){
                                    throw new Exception(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
                                }
                                final int SIZE = groupsTitle.size();
                                String groupTitle;
                                for (int i=0;i<SIZE;i++){
                                    groupTitle=groupsTitle.get(i);
                                %>
                                <option value="<%=groupTitle%>"><%=groupTitle.substring(0,groupTitle.indexOf(ConstantsForm.SEPARATOR))%></option>
                                <%}%>
                            </select>
                        </p>
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String myTitle = ConstantsForm.CREATE_SUBJECT_COMPETENCE_TITLE;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_TITLE,request)%> *</h3>
                        <input type="text" id="<%=myTitle%>"name="<%=myTitle%>" maxlength="<%=ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX%>" placeholder="<%=CurrentLanguage.getString(Text.CSC_TEACHER_PLACEHOLDER_TITLE,request)%>">
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String initialDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_INITIAL_DATE;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_INITIAL_DATE,request)%> *</h3>
                        <div id="<%=initialDate%>" class="input-group date">
                            <input name="<%=initialDate%>" type="text" class="form-control"><span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                        <%final String finalDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_FINAL_DATE,request)%> *</h3>
                        <div id="<%=finalDate%>" class="input-group date">
                            <input name="<%=finalDate%>" type="text" class="form-control"><span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String myPeriods = ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_PERIODS,request)%> *</h3>
                        <input type="number" class="percentage" name="<%=myPeriods%>" min="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MIN%>" max="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MAX%>" value="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_DEF%>">
                    </div>
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_DESCRIPTION,request)%></h3>
                        <textarea name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_DESCRIPTION%>" maxlength="<%=ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_DESCRIPTION_MAX%>" placeholder="<%=CurrentLanguage.getString(Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION,request)%>"></textarea>
                    </div>
                    <%final ArrayList<SubjectCompetence> mySubjectsCompetences = (ArrayList<SubjectCompetence>) request.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES);
                    final boolean showAssociated = mySubjectsCompetences.size()>0;
                    final String associatedTitle = ConstantsForm.CREATE_SUBJECT_COMPETENCE_ASSOCIATED;
                    if (showAssociated){%>
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_ASSOCIATED,request)%></h3>
                        <p>
                            <select id="<%=associatedTitle%>" name="<%=associatedTitle%>">
                                <option selected> </option>
                                <%for (final SubjectCompetence mySubjectCompetence: mySubjectsCompetences){%>
                                <option><%=mySubjectCompetence.getTitle()%></option>
                                <%}%>
                            </select>
                        </p>
                    </div><%}%>
                </div>
                <div align="center">
                    <p id="loadImg" style="text-align: center;" hidden><img src="/assets/img/other/load.gif" alt="" height="50" width="50"></p><br/>
                    <%final String next = CurrentLanguage.getString(Text.NEXT,request);%>
                    <button type="submit" value="<%=next%>" class="btn btn-success" id="submit"><h4><%=next%></h4></button>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../assets/js/bootstrap.min.js"></script>
        <script src="../assets/js/compare-strings.js"></script>
        <script type="text/javascript" src="../assets/js/bootstrap-datepicker.js"></script>
        <script src="../assets/js/locales/bootstrap-datepicker.<%=languageCode%>.js" charset="UTF-8"></script>
        <script type="text/javascript" src="../assets/js/bootstrap-maxlength.min.js"></script>
        <script type="text/javascript" src="../assets/js/bootbox.min.js"></script>
        <script type="text/javascript" src="../assets/js/moment.min.js"></script>
        <script src="../assets/js/alertify.min.js"></script>
        <script src="../assets/js/compare-strings.js"></script>
        <script type="text/javascript">
                function isNumber(n) {
                    return !isNaN(parseFloat(n)) && isFinite(n);
                }
                $(document).ready(function() {
                    $('#<%=initialDate%>').datepicker({
                        format: "<%=ConstantsForm.DATE_PICKER_FORMAT%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    }).datepicker('update', new Date()).datepicker().on('changeDate', function(ev) {
                        var initialDate = new Date(ev.date.getFullYear(), ev.date.getMonth(), ev.date.getDate(), 0, 0, 0);
                        var finalDate = $('#<%=finalDate%>').datepicker('getDate');
                        if (finalDate != null && finalDate != 'undefined') {
                            if (finalDate < initialDate || Math.abs(moment(initialDate).diff(moment(finalDate), 'days')) > <%=ConstantsForm.SUBJECT_COMPETENCE_MAX_DURATION_DAYS%>) {
                                $('#<%=initialDate%>').datepicker('update', new Date(finalDate));
                                alertify.error('<%=CurrentLanguage.getString(Text.CSC_TEACHER_INITIAL_DATE_ALERT,request)%>');
                            }
                        }
                    });
                    $('#<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE%>').datepicker({
                        format: "<%=ConstantsForm.DATE_PICKER_FORMAT%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    }).datepicker('update', new Date()).datepicker().on('changeDate', function(ev) {
                        var finalDate = new Date(ev.date.getFullYear(), ev.date.getMonth(), ev.date.getDate(), 0, 0, 0);
                        var initialDate = $('#<%=initialDate%>').datepicker('getDate');
                        if (initialDate != null && initialDate != 'undefined') {
                            if (finalDate < initialDate || Math.abs(moment(initialDate).diff(moment(finalDate), 'days')) > <%=ConstantsForm.SUBJECT_COMPETENCE_MAX_DURATION_DAYS%>) {
                                $('#<%=finalDate%>').datepicker('update', new Date(initialDate));
                                alertify.error('<%=CurrentLanguage.getString(Text.CSC_TEACHER_FINAL_DATE_ALERT,request)%>');
                            }
                        }
                    });
                    $('input[maxlength]').maxlength({alwaysShow: true});
                    $('textarea').maxlength({alwaysShow: true});
                });
                function checkFields() {
                    var MEN = '<%=CurrentLanguage.getString(Text.NO_NULL,request)%>';
                    var selectGroup = document.getElementById("<%=idEdmodoGroup%>");
                    var selectedValue = selectGroup.options[selectGroup.selectedIndex].value.trim();
                    if (selectedValue == '')
                    {
                        bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_GROUP,request)%>');
                        return false;
                    }
                    var mytitleField = document.forms["<%=myForm%>"]["<%=myTitle%>"];
                    var myTitleFieldValue = mytitleField.value.trim();
                    if (myTitleFieldValue.length < 1) {
                        bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_TITLE,request)%>');
                        mytitleField.focus();
                        return false;
                    }
            <%if (showAssociated){%>
                    var isInvalid = false;
                    myTitleFieldValue = removeDiacritics(myTitleFieldValue.toLowerCase());
                    $("#<%=associatedTitle%> option").each(function()
                    {
                        if (myTitleFieldValue == removeDiacritics($(this).val().toLowerCase())) {
                            isInvalid = true;
                        }
                    });
                    if (isInvalid) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.SUBJECT_COMPETENCE_REPEAT,request)%>');
                        return false;
                    }
            <%}%>
                    var myInitialDateField = document.forms["<%=myForm%>"]["<%=initialDate%>"];
                    var myInitialDateValue = Number(myInitialDateField.value);
                    if (myInitialDateValue == 0) {
                        bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_INITIAL_DATE,request)%>');
                        myInitialDateField.focus();
                        return false;
                    }
                    var myFinalDateField = document.forms["<%=myForm%>"]["<%=finalDate%>"];
                    var myFinalDateValue = Number(myFinalDateField.value);
                    if (myFinalDateValue == 0) {
                        bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_FINAL_DATE,request)%>');
                        myFinalDateField.focus();
                        return false;
                    }
                    var myPeriodsField = document.forms["<%=myForm%>"]["<%=myPeriods%>"];
                    var myPeriods = myPeriodsField.value;
                    if (!isNumber(myPeriods)) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.MUST_BE_NUMBER,request)%>' + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_PERIODS,request)%>');
                        myPeriodsField.focus();
                        return false;
                    }
                    myPeriods = Number(myPeriods);
                    if (myPeriods == null || myPeriods < <%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MIN%>) {
                        bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_PERIODS,request)%>');
                        myPeriodsField.focus();
                        return false;
                    }
                    if (myPeriods > <%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MAX%>) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_PERIODS,request)%>' + ': <%=CurrentLanguage.getString(Text.CSC_TEACHER_MAX_PERIODS,request)%>');
                        myPeriodsField.focus();
                        return false;
                    }
                    $('#loadImg').show();
                }
        </script>
    </body>
</html>