<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%SecurityModel.isValid(request,response);
final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);
final String webName=CurrentLanguage.getString(Text.CSC_TEACHER_DEFINE_PERIODS,request);
%>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../assets/css/navbar.css" rel="stylesheet">
        <link href="../assets/css/dashboard.css" rel="stylesheet">
        <link href="../assets/css/datepicker3.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_CREATE_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/CreateSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_C_S_C,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String myForm = ConstantsForm.FORM_NAME_ID;
              final Integer nPeriods = (Integer) request.getAttribute(Constants.ATT_CREATE_N_PERIODS);
              if(nPeriods==null){
                   throw new Exception(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
              }
            final Date initialDatePicker = (Date) request.getAttribute(Constants.ATT_CREATE_INITIAL_DATE);
            final Date finalDatePicker = (Date) request.getAttribute(Constants.ATT_CREATE_FINAL_DATE);
            final SimpleDateFormat formatter = new SimpleDateFormat(ConstantsForm.DATE_PICKER_FORMAT_JAVA);
            final String initialDatePickerString = formatter.format(initialDatePicker);
            final String finalDatePickerString = formatter.format(finalDatePicker);
            %>
            <form name="<%=myForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_CREATE_SUBJECT_COMPETENCE_3%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Message.jsp&<%=Constants.CONTROLLER_MESSAGE_NEXT_URL%>=/" onsubmit="return checkFields();" method="post">
                <input value="<%=request.getAttribute(Constants.ATT_CREATE_GROUPS)%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_ED_GROUP%>" maxlength="<%=ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_ID_ED_GROUP_MAX%>">
                <input value="<%=request.getAttribute(Constants.ATT_CREATE_TITLE)%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_TITLE%>" maxlength="<%=ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX%>">
                <input value="<%=initialDatePickerString%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_INITIAL_DATE%>">
                <input value="<%=finalDatePickerString%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE%>">
                <input value="<%=nPeriods%>" aria-required="true" required type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS%>" min="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MIN%>" max="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_MAX%>">
                <input value="<%=request.getAttribute(Constants.ATT_CREATE_DESCRIPTION)%>" type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_DESCRIPTION%>" maxlength="<%=ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_DESCRIPTION_MAX%>">
                <input value="<%=request.getAttribute(Constants.ATT_CREATE_ASSOCIATED_SC_TITLE)%>" type="hidden" name="<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_ASSOCIATED%>">
                <div class="row placeholders">
                    <%
                    final String initialDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_INITIAL_DATE;
                    final String finalDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE;
                    final String periodText = CurrentLanguage.getString(Text.PERIOD,request);
                    final String toText = CurrentLanguage.getString(Text.TO,request);
                    for (int i=0;i<nPeriods;i++){%>
                    <div class="col-lg-<%=nPeriods==1?12:4%>" align="center" id="sandbox-container">
                        <%final int current = i+1;%>
                        <h3><%=periodText+' '+current%></h3>
                        <p><div id="datepicker" class="input-daterange input-group">
                            <input id="<%=initialDate%><%=current%>" required aria-required="true" name="<%=initialDate%><%=current%>" type="text" class="input-sm form-control"/>
                            <span class="input-group-addon"><%=toText%></span>
                            <input id="<%=finalDate%><%=current%>"required aria-required="true" name="<%=finalDate%><%=current%>" type="text" class="input-sm form-control"/>
                        </div></p>
                    </div>
                    <%}%>
                </div>
                <div align="center">
                    <p id="loadImg" style="text-align: center;" hidden><img src="/assets/img/other/load.gif" alt="" height="50" width="50"></p><br/>
                    <%
                    final String goBack=CurrentLanguage.getString(Text.BACK,request);
                    final String createText=CurrentLanguage.getString(Text.CREATE,request);
                    %>
                    <button type="button" onclick="goBack();" value="<%=goBack%>" class="btn btn-info"><h4><%=goBack%></h4></button>
                    <button type="submit" value="<%=createText%>" class="btn btn-success" id="submit"><h4><%=createText%></h4></button>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../assets/js/bootstrap-datepicker.js"></script>
        <script src="../assets/js/locales/bootstrap-datepicker.<%=languageCode%>.js" charset="UTF-8"></script>
        <script type="text/javascript" src="../assets/js/bootbox.min.js"></script>
        <script type="text/javascript">
                function goBack()
                {
                    window.history.back();
                }
                function isNumber(n) {
                    return !isNaN(parseFloat(n)) && isFinite(n);
                }
                var TOTAL = <%=nPeriods==null?0:nPeriods%>;
                $(document).ready(function() {
                    $('#sandbox-container .input-daterange').datepicker({
                        format: "<%=ConstantsForm.DATE_PICKER_FORMAT%>",
                        startDate: "<%=initialDatePickerString%>",
                        endDate: "<%=finalDatePickerString%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    });
                    for (i = 1; i <= TOTAL; i++) {
                        $('#<%=initialDate%>' + i).datepicker('update', '<%=initialDatePickerString%>');
                        $('#<%=finalDate%>' + i).datepicker('update', '<%=finalDatePickerString%>');
                    }
                    // Usability: Change finalDate when initialDate-1 changes
            <%final int N_PERIODS_1=nPeriods-1; for (int i=0;i<N_PERIODS_1;i++){%>
            <%="document.forms[\"myForm\"][\"finalDate"+(i+1)+
                    "\"].onchange=function(){document.forms[\"myForm\"][\"initialDate"+(i+2)+
                    "\"].value=document.forms[\"myForm\"][\"finalDate"+(i+1)+"\"].value;};"%>
            <%}%>
                });
                function checkFields() {
                    var MEN = '<%=CurrentLanguage.getString(Text.NO_NULL,request)%>';
                    // 1. Not null
                    for (i = 1; i <= TOTAL; i++) {
                        var myInitialDateField = document.forms["<%=myForm%>"]["<%=initialDate%>" + i];
                        var myInitialDateValue = Number(myInitialDateField.value);
                        if (myInitialDateValue == 0) {
                            bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_INITIAL_DATE,request)%>' + i);
                            myInitialDateField.focus();
                            return false;
                        }
                        var myFinalDateField = document.forms["<%=myForm%>"]["<%=finalDate%>" + i];
                        var myFinalDateValue = Number(myFinalDateField.value);
                        if (myFinalDateValue == 0) {
                            bootbox.alert(MEN + ': ' + '<%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_FINAL_DATE,request)%>' + i);
                            myFinalDateValue.focus();
                            return false;
                        }
                    }
                    $('#loadImg').show();
                }
        </script>
    </body>
</html>