<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.List"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
final String webName=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request);%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../assets/css/navbar.css" rel="stylesheet">
        <link href="../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <% final List<SubjectCompetence> list = (List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES);
                if (list!=null && list.size()>0){
                    final String seeDetails = CurrentLanguage.getString(Text.SEE_DETAILS,request);
                    final String url = Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE+'&'+Constants.CONTROLLER_NEXT_URL+"=/Teacher/SubjectCompetence/SubjectCompetence.jsp&"+Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED+'=';
                    final int SIZE = list.size();
                    SubjectCompetence current;
                    String title;
                    for(int i=0;i<SIZE;i++){
                        current = list.get(i);
                        title = current.getTitle();%>
                <%=(i!=0 && ((i%4)==0))?"<div class=\"clearfix visible-xs-sm\"></div>":(i!=0 && ((i%2)==0))?"<div class=\"clearfix visible-xs\"></div>":""%>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=url+i%>"><img src="../assets/img/menu/Shape 2.png" class="img-responsive" alt="<%=title%>">
                        <h4><%=title%></h4>
                        <span class="text-muted"><%=seeDetails%></span></a>
                </div>
                <%}}else{%><div class="col-xs-12 placeholder"><h3><%=CurrentLanguage.getString(Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED,request)%></h3></div><%}%>
            </div>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../assets/js/bootstrap.min.js"></script>
    </body>
</html>