<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.List"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
    final String webName=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS_CREATE_ASSIGNMENT,request);
final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);%>
<!DOCTYPE html>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/datepicker3.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/AssignmentsSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String myForm = ConstantsForm.FORM_NAME_ID;%>
            <form name="<%=myForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_CREATE_ASSIGNMENT_2%>&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Message.jsp" method="post" onsubmit="return checkFields();">
                <div class="row placeholders">
                    <div class="col-lg-4" align="center">
                        <%final String myTitleTitle = CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_TITLE,request);
                            final String myTitle = ConstantsForm.CREATE_ASSIGNMENT_TITLE;
                            final int maxTitle = ConstantsDB.CREATE_ASSIGNMENT_TITLE_MAX; %>
                        <h3><%=myTitleTitle%> *</h3>
                        <input name="<%=myTitle%>" type="text" maxlength="<%=maxTitle%>" placeholder="<%=CurrentLanguage.getString(Text.CSC_TEACHER_PLACEHOLDER_TITLE,request)%>">
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String initialDateTitle = CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_DATE,request);
                        final String initialDate = ConstantsForm.CREATE_ASSIGNMENT_DATE;%>
                        <h3><%=initialDateTitle%> *</h3>
                        <div id="<%=initialDate%>" class="input-group date">
                            <input name="<%=initialDate%>" type="text" class="form-control"><span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String myTypeTitle = CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_TYPE,request);
                            final String myType = ConstantsForm.CREATE_ASSIGNMENT_TYPE;
                            final String type1 = ""+ConstantsDB.TABLE_ASSIGNMENT_ATT_TYPE_TYPES[ConstantsDB.TABLE_ASSIGNMENT_ATT_TYPE_ONLINE_INDEX];
                            final String type2 = ""+ConstantsDB.TABLE_ASSIGNMENT_ATT_TYPE_TYPES[ConstantsDB.TABLE_ASSIGNMENT_ATT_TYPE_OFFLINE_INDEX];
                            final String type3 = ""+ConstantsDB.TABLE_ASSIGNMENT_ATT_TYPE_TYPES[ConstantsDB.TABLE_ASSIGNMENT_ATT_TYPE_ONLINE_ASSIGNMENT_INDEX];
                            final String type4 = ""+ConstantsDB.TABLE_ASSIGNMENT_ATT_TYPE_TYPES[ConstantsDB.TABLE_ASSIGNMENT_ATT_TYPE_OFFLINE_ASSIGNMENT_INDEX];
                        %>
                        <h3><%=myTypeTitle%> *</h3>
                        <p>
                            <select id="<%=myType%>" name="<%=myType%>" onchange="checkAssignmentType();">
                                <option value="<%=type1%>"><%=CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_TYPE_GRADE_ONLINE,request)%></option>
                                <option value="<%=type2%>"><%=CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_TYPE_GRADE_OFFLINE,request)%></option>
                                <option value="<%=type3%>" selected><%=CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_ONLINE,request)%></option>
                                <option value="<%=type4%>"><%=CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_OFFLINE,request)%></option>
                            </select>
                        </p>
                    </div>

                    <div class="col-lg-4" align="center">
                        <%final int maxQualification = ConstantsForm.CREATE_ASSIGNMENT_QUALIFICATION_MAX;
                        final byte defQualification = ConstantsForm.CREATE_ASSIGNMENT_QUALIFICATION_DEF;
                        final byte minQualification = ConstantsForm.CREATE_ASSIGNMENT_QUALIFICATION_MIN;
                        final String myQualificationTitle = CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_MAX_QUALIFICATION,request);
                        final String myQualification = ConstantsForm.CREATE_ASSIGNMENT_QUALIFICATION;%>
                        <h3><%=myQualificationTitle%> *</h3>
                        <input style="max-width: 150px" type="number" name="<%=myQualification%>" min="<%=minQualification%>" max="<%=maxQualification%>" value="<%=defQualification%>">
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String myDescription = ConstantsForm.CREATE_ASSIGNMENT_DESCRIPTION;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_DESCRIPTION,request)%></h3>
                        <textarea id="<%=myDescription%>" name="<%=myDescription%>" maxlength="<%=ConstantsDB.CREATE_ASSIGNMENT_DESCRIPTION_MAX%>" placeholder="<%=CurrentLanguage.getString(Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION,request)%>"></textarea>
                    </div>

                </div>
                <div align="center">
                    <%final String backText=CurrentLanguage.getString(Text.BACK,request);
                      final String createText=CurrentLanguage.getString(Text.CREATE,request);
                    final String evaluableItems = ConstantsForm.CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS;%>
                    <p style="text-align: center;">
                        <p id="loadImg" style="text-align: center;" hidden><img src="/assets/img/other/load.gif" alt="" height="50" width="50"></p><br/>
                        <input type="hidden" hidden id="<%=evaluableItems%>" name="<%=evaluableItems%>" value="<%=ConstantsForm.CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS_DEF%>"/>
                        <button type="button" onclick="goBack();" value="<%=backText%>" class="btn btn-info"><h4><%=backText%></h4></button>
                        <button type="submit" onclick="defineEvaluableItems(false);" value="<%=createText%>" class="btn btn-success"><h4><%=createText%></h4></button>
                        <button type="submit" onclick="defineEvaluableItems(true);" id="<%=evaluableItems%>" name="<%=evaluableItems%>" class="btn btn-warning"><h4><%=CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_EVALUABLE_ITEMS,request)%></h4></button></p>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootbox.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootstrap-datepicker.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootstrap-maxlength.min.js"></script>
        <script src="../../../assets/js/locales/bootstrap-datepicker.<%=languageCode%>.js" charset="UTF-8"></script>
        <%final Date initialDatePicker = (Date) request.getAttribute(Constants.ATT_CREATE_INITIAL_DATE);
        final Date finalDatePicker = (Date) request.getAttribute(Constants.ATT_CREATE_FINAL_DATE);
        final SimpleDateFormat formatter = new SimpleDateFormat(ConstantsForm.DATE_PICKER_FORMAT_JAVA);%>
        <script type="text/javascript">
                function goBack()
                {
                    window.history.back();
                }
                function defineEvaluableItems(define) {
                    document.getElementById("<%=evaluableItems%>").value = define ?<%=ConstantsForm.CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS_YES%> :<%=ConstantsForm.CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS_NO%>;
                }
                function isNumber(n) {
                    return !isNaN(parseFloat(n)) && isFinite(n);
                }
                $(document).ready(function() {
                    $('#<%=initialDate%>').datepicker({
                        format: "<%=ConstantsForm.DATE_PICKER_FORMAT%>",
                        startDate: "<%=formatter.format(initialDatePicker)%>",
                        endDate: "<%=formatter.format(finalDatePicker)%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    }).datepicker('update', new Date());
                    $('input[maxlength]').maxlength({alwaysShow: true});
                    $('textarea').maxlength({alwaysShow: true});
                });

                // Enables/disables textarea
                function checkAssignmentType() {
                    var e = document.getElementById('<%=myType%>');
                    var mType = e.options[e.selectedIndex].value;
                    var disable = false;
                    if (mType == '<%=type1%>' || mType == '<%=type2%>') {
                        disable = true;
                    }
                    document.getElementById('<%=myDescription%>').disabled = disable;
                }

                function checkFields() {
                    // Title
                    var MEN = '<%=CurrentLanguage.getString(Text.NO_NULL,request)%>';
                    var mytitleField = document.forms["<%=myForm%>"]["<%=myTitle%>"];
                    var myTitleFieldValue = mytitleField.value.trim();
                    if (myTitleFieldValue.length < 1 || myTitleFieldValue.length ><%=maxTitle%>) {
                        bootbox.alert(MEN + ': ' + '<%=myTitleTitle%>');
                        mytitleField.focus();
                        return false;
                    }
                    var myInitialDateField = document.forms["<%=myForm%>"]["<%=initialDate%>"];
                    var myInitialDateValue = Number(myInitialDateField.value);
                    if (myInitialDateValue == 0) {
                        bootbox.alert(MEN + ': ' + '<%=initialDateTitle%>');
                        myInitialDateField.focus();
                        return false;
                    }
                    var myInitialDateField = document.forms["<%=myForm%>"]["<%=initialDate%>"];
                    var myInitialDateValue = Number(myInitialDateField.value);
                    if (myInitialDateValue == 0) {
                        bootbox.alert(MEN + ': ' + '<%=initialDateTitle%>');
                        myInitialDateField.focus();
                        return false;
                    }
                    var selectType = document.getElementById("<%=myType%>");
                    var selectedValue = selectType.options[selectType.selectedIndex].value.trim();
                    if (selectedValue == '' || (selectedValue != '<%=type1%>' && selectedValue != '<%=type2%>'
                            && selectedValue != '<%=type3%>' && selectedValue != '<%=type4%>'))
                    {
                        bootbox.alert(MEN + ': ' + '<%=myTypeTitle%>');
                        return false;
                    }
                    var myMaxQualificationField = document.forms["<%=myForm%>"]["<%=myQualification%>"];
                    var myMaxQualification = myMaxQualificationField.value;
                    if (!isNumber(myMaxQualification)) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.MUST_BE_NUMBER,request)%>' + ': ' + '<%=myQualificationTitle%>');
                        myMaxQualificationField.focus();
                        return false;
                    }
                    myMaxQualification = Number(myMaxQualification);
                    if (myMaxQualification == null || myMaxQualification < <%=minQualification%>) {
                        bootbox.alert(MEN + ': ' + '<%=myQualificationTitle%>');
                        myMaxQualificationField.focus();
                        return false;
                    }
                    if (myMaxQualification > <%=maxQualification%>) {
                        bootbox.alert('<%=myQualificationTitle%>' + ': <%=CurrentLanguage.getString(Text.NO_VALID_ARGUMENT,request)%>');
                        myMaxQualificationField.focus();
                        return false;
                    }
                    $('#loadImg').show();
                }
        </script>
    </body>
</html>