<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.List"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);%>
<%int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
    }
    final SubjectCompetence sc = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex);
    final String webName=sc.getTitle();%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final int TITLE_LENGTH=webName.length();%><li align="center" class="active"><a href="#"><%=webName.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/AttendSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><img src="../../assets/img/menu/Shape 178.png" class="img-responsive" alt="<%=CurrentLanguage.getString(Text.S_C_ATTEND,request)%>">
                        <h4><%=CurrentLanguage.getString(Text.S_C_ATTEND,request)%></h4>
                        <span class="text-muted"><%=CurrentLanguage.getString(Text.SEE_DETAILS,request)%></span></a>
                </div>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/BehaviourAttitudeSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><img src="../../assets/img/menu/Shape 64.png" class="img-responsive" alt="<%=CurrentLanguage.getString(Text.S_C_BEHAVIOUR_ATTITUDE,request)%>">
                        <h4><%=CurrentLanguage.getString(Text.S_C_BEHAVIOUR_ATTITUDE,request)%></h4>
                        <span class="text-muted"><%=CurrentLanguage.getString(Text.SEE_DETAILS,request)%></span></a>
                </div>
                <div class="clearfix visible-xs"></div>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/AssignmentsSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><img src="../../assets/img/menu/Shape 177.png" class="img-responsive" alt="<%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS,request)%>">
                        <h4><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS,request)%></h4>
                        <span class="text-muted"><%=CurrentLanguage.getString(Text.SEE_DETAILS,request)%></span></a>
                </div>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/EditSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><img src="../../assets/img/menu/Shape 3.png" class="img-responsive" alt="<%=CurrentLanguage.getString(Text.S_C_EDIT,request)%>">
                        <h4><%=CurrentLanguage.getString(Text.S_C_EDIT,request)%></h4></a>
                </div>
            </div>
            <%final String description = sc.getDescription();%>
            <%=description==null?"":"<div align=\"center\"><p><i>"+description+"</i></p></div>"%>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../assets/js/bootstrap.min.js"></script>
</html>