<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
final String webName=CurrentLanguage.getString(Text.WELLCOME,request);%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>.">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../assets/css/navbar.css" rel="stylesheet">
        <link href="../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li class="active" align="center"><a href="#"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <%final String selectSCOption=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request);%>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><img src="../assets/img/menu/Shape 97.png" class="img-responsive" alt="<%=selectSCOption%>">
                        <h4><%=selectSCOption%></h4></a>
                </div>
                <%final String generateReportsOption=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_G_R,request);%>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_GENERATE_REPORTS %>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/ObtainReports.jsp"><img src="../assets/img/menu/Shape 66.png" class="img-responsive" alt="<%=generateReportsOption%>">
                        <h4><%=generateReportsOption%></h4>
                </div>
                <div class="clearfix visible-xs"></div>
                <%final String myAspectsOption=CurrentLanguage.getString(Text.INDEX_TEACHER_MY_ASPECTS,request);%>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_TEACHER_ASPECTS %>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Aspect.jsp"><img src="../assets/img/menu/Shape 44.png" class="img-responsive" alt="<%=myAspectsOption%>">
                        <h4><%=myAspectsOption%></h4></a>
                </div>
                <%final String createSCOption=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_C_S_C,request);%>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_CREATE_SUBJECT_COMPETENCE %>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/CreateSubjectCompetence.jsp"><img src="../assets/img/menu/Shape 181.png" class="img-responsive" alt="<%=createSCOption%>">
                        <h4><%=createSCOption%></h4></a>
                </div>
            </div>
            <%@ include file="/include/footerhome.jsp" %>
        </div>
        <script src="../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../assets/js/bootstrap.min.js"></script>
    </body>
</html>