package classcontrol.controller;

import classcontrol.dao.Persistence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;

/**
 *
 *
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class EvaluableItemController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // 1. Security
        new SubjectCompetenceUtil(request).getSelectedSubjectCompetence();
        final String idEdmodo = (String) this.request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        // 2. Set data
        // 2.1. Get all subject competence's evaluable items.
        // 2.2. Set as request attributte.
        request.setAttribute(Constants.ATT_EVALUABLE_ITEMS_ASSIGNMENT_LIST, new Persistence().getEvaluableItemsAssignment(new AssignmentUtil(request).getSelectedAssignmentId()));
    }
}