package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.dao.Persistence;
import classcontrol.edmodo.EdmodoAPI;
import classcontrol.utils.Constants;
import java.util.ArrayList;

/**
 *
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class TeacherAspectsController extends AbstractController {

    /**
     *
     */
    @Override
    public void execute() throws ControllerException {
        final String launchRequest = EdmodoAPI.launchRequests();
        // TODO: manejar el JSON y sacar nGroups
        final String[] nGroupsId = {EdmodoAPI.EDMODO_GROUP_1, "inventado2", "inventado3"};
        final int GROUPS_SIZE = nGroupsId.length;
        String groups = EdmodoAPI.groups(nGroupsId);
        // TODO: manejar el JSON y sacar títulos
        final ArrayList<String> groupsTitle = new ArrayList<String>();
        final String[] inventado = {"Grupo reducido", "Grupo de lengua", "Grupo de inglés"};
        for (int i = 0; i < GROUPS_SIZE; i++) {
            groupsTitle.add(inventado[i] + ConstantsForm.SEPARATOR + nGroupsId[i]);
        }
        this.request.setAttribute(Constants.ATT_GROUPS_TITLE, groupsTitle);
        // C. Send an all user subject competences list
        this.request.setAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES, new Persistence().getSubjectsCompetences((String) request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER)));
    }
}