<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.language.LanguageFactory"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.language.Language"%>
<%@page import="classcontrol.entity.Student"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%//SecurityModel.isValid(request,response);// Uncomment in 0.2-BETA version
final String webName=CurrentLanguage.getString(Text.WELLCOME,request);%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>.">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../assets/css/navbar.css" rel="stylesheet">
        <link href="../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li class="active" align="center"><a href="#"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <%final ArrayList<Student> childrenList = (ArrayList<Student>)request.getAttribute(Constants.CONTROLLER_PARENT_CHILDREN_LIST);
                if (childrenList!=null && childrenList.size()>0){
                final String seeDetails = CurrentLanguage.getString(Text.SEE_DETAILS,request);
                final String url = Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_STUDENT_INDEX+'&'+Constants.CONTROLLER_NEXT_URL+"=/Parent/Student/Student.jsp&"+Constants.PARAMETER_STUDENT_SELECTED+'=';
                final int SIZE = childrenList.size();
                Student current;
                String fullName;
                for(int i=0;i<SIZE;i++){
                    current = childrenList.get(i);
                    fullName = current.getFullName();%>
                <%=(i!=0 && ((i%4)==0))?"<div class=\"clearfix visible-xs-sm\"></div>":(i!=0 && ((i%2)==0))?"<div class=\"clearfix visible-xs\"></div>":""%>
                <div class="col-xs-6 col-sm-3 placeholder">
                    <a href="/?<%=url+current.getIdEdmodo()%>"><img src="../assets/img/menu/Shape 197.png" class="img-responsive" alt="<%=fullName%>">
                        <h4><%=fullName%></h4>
                        <span class="text-muted"><%=seeDetails%></span></a>
                </div>
                <%}}else{%><div class="col-xs-12 placeholder"><h3><%=CurrentLanguage.getString(Text.NO_CHILDREN_PARENT,request)%></h3></div><%}%>
            </div>
            <%final Integer currentlanguageId = (Integer) request.getSession().getAttribute(Constants.SESSION_ID_LANGUAGE);
                        final String currentLanguage =currentlanguageId!=null?
                        LanguageFactory.getLanguageById(currentlanguageId):
                        LanguageFactory.getLanguageById(LanguageFactory.ID_LANGUAGE_DEFAULT);
                        final ArrayList<Language> languagesList = LanguageFactory.getAllLanguages();
                        final int LANGUAGES_SIZE = languagesList.size();%>
            <div class="footer" align="center">
                <div class="btn-group dropup">
                    <button type="button" style="margin-right: -5px"class="btn btn-default"><%=currentLanguage%></button>
                    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                        <span class="caret"></span>
                        <span class="sr-only"><%=currentLanguage%></span>
                    </button>
                    <ul class="dropdown-menu">
                        <% Language language;
                            String languageName;
                        for(int i=0;i<LANGUAGES_SIZE;i++){
                            language = languagesList.get(i);
                            languageName = language.getName();
                            if(currentLanguage.compareTo(languageName)!=0){%>
                        <li><a href="<%="/?"+Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_CHANGE_LANGUAGE+'&'+Constants.CONTROLLER_CHANGE_LANGUAGE+'='+language.getId()+'&'+Constants.CONTROLLER_NEXT_URL+"=/"%>"><%=languageName%></a></li><%}}%>
                    </ul>
                </div><p></p>
                <p>&copy; Class Control<script type="text/javascript">document.write(' ' + new Date().getFullYear());</script></p>
                <p><%=CurrentLanguage.getString(Text.FOOTER_CREATED_BY,request)%> Cristian TG</p>
                <script type="text/javascript">document.write('<i><a title="<%=CurrentLanguage.getString(Text.FOOTER_SEE_PROBLEM_HELP,request)%>" target="_blank" href="/"> <%=CurrentLanguage.getString(Text.FOOTER_SEE_PROBLEM,request)%></a></i>');</script>
            </div>
        </div>
        <script src="../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../assets/js/bootstrap.min.js"></script>
    </body>
</html>