<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="classcontrol.entity.EvaluableItem"%>
<%@page import="classcontrol.entity.Assignment"%>
<%@page import="java.text.DecimalFormat"%>
<%@page import="classcontrol.entity.StudentCalificationReport"%>
<%@page import="java.util.List"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
int assignmentId;
    try{
        assignmentId = Integer.parseInt(request.getParameter(Constants.PARAMETER_ASSIGNMENT_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
    final Assignment myAssignment = (Assignment) request.getAttribute(Constants.ATT_CURRENT_ASSIGNMENT);
    final String webName=CurrentLanguage.getString(Text.S_C_ASSIGNMENT_CALIFICATION,request);
    final String myTable=ConstantsForm.TABLE_NAME;
    final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);final String inventedClass="savebtn";
%>
<!DOCTYPE html>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/jquery.dataTables.min.css" rel="stylesheet">
        <link href="../../../assets/css/dataTables.tableTools.min.css" rel="stylesheet">
        <link href="../../../assets/css/table.css" rel="stylesheet">
        <link href="../../../assets/css/calificate-table.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.core.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.default.css" rel="stylesheet">
        <style type="text/css">
            #<%=myTable%> td + td, #<%=myTable%> th + th {
                text-align: right
            }
            .<%=inventedClass%>{
                color: white !important;
                background: #5cb85c !important
            }
        </style>
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/AssignmentsSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_ASSIGNMENT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/Assignment/SelectAssignment.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <div class="col-xs-12 col-sm-12 placeholder">
                    <%final double maxGrade=myAssignment.getMaxGrade();final DecimalFormat df = ConstantsForm.appDecimalFormat();final String assignmentTitle=myAssignment.getTitle();%>
                    <h3><%=assignmentTitle+": "+ConstantsForm.DATE_SIMPLE_DATE_FORMAT.format(myAssignment.getDate())%>. <%=CurrentLanguage.getString(Text.CREATE_ASSIGNMENT_MAX_CALIFICATION,request)%>: <%=df.format(maxGrade)%></h3>
                    <%final String description = myAssignment.getDescription();%>
                    <%=description==null?"":"<p><i>"+description+"</i></p>"%>
                </div>
                <div class="col-xs-12 col-sm-12 placeholder">
                    <div class="table-responsive"><%=(StringBuilder)request.getAttribute(Constants.ATT_HTML_TABLE)%><p style="text-align: center;" hidden="hidden" id="btnApply"><button onclick="refreshTable(true);"type="submit"  class="btn btn-primary"><h4><span class="glyphicon glyphicon-thumbs-up"></span> <%=CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_APPLY_CHANGES_BTN,request)%></h4></button><button onclick="refreshTable(false);"type="submit"  class="btn btn-danger"><h4><span class="glyphicon glyphicon-thumbs-down"></span> <%=CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_DISCARD_CHANGES_BTN,request)%></h4></button></p></div>
                    <div align="center">
                        <p id="loadImg" style="text-align: center;" hidden><img src="/assets/img/other/load.gif" alt="Cargando" height="50" width="50"></p>
                        <p style="text-align: center;"><%final String backText=CurrentLanguage.getString(Text.BACK,request);%><button type="button" onclick="goBack();" value="<%=backText%>" class="btn btn-info"><h4><%=backText%></h4></button><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_EVALUABLE_ITEM%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/Assignment/EvaluableItem.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_ASSIGNMENT_SELECTED%>=<%=assignmentId%>"><button type="submit" class="btn btn-warning"><h4><%=CurrentLanguage.getString(Text.S_C_EVALUABLE_ITEM,request)%></h4></button></a></p>
                    </div>
                </div>
            </div>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script src="../../../assets/js/jquery.dataTables.min.js"></script>
        <script src="../../../assets/js/dataTables.tableTools.min.js"></script>
        <script src="../../../assets/js/mindmup-editabletable.js"></script>
        <script src="../../../assets/js/flash.js"></script>
        <script src="../../../assets/js/alertify.min.js"></script>
        <script><%final String msgErrorAjax =CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_ERROR,request);final List<EvaluableItem> mEvaluableItems = (List<EvaluableItem>) request.getAttribute(Constants.ATT_EVALUABLE_ITEM_LIST_ASSIGNMENT);final int EVALUABLE_ITEMS_SIZE = mEvaluableItems.size();%>
                        var isChanged = false, oldIsChanged = isChanged,applyShow = false, changeShow = false, isApply = true, oTable, oldData, nItems = <%=EVALUABLE_ITEMS_SIZE%>, maxCal = <%=maxGrade%>;
                        window.onbeforeunload = function(e) {
                            if (isChanged) {
                                return '<%=CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_ALERT,request)%>';
                            } else {
                                return;
                            }
                        };
                        function goBack()
                        {
                            window.history.back();
                        }
                        function refreshTable(apply)
                        {
                            isApply = true;
                            if (!apply) {
                                oTable.fnClearTable();
                                oTable.fnAddData(oldData);
                                oTable.fnDraw();
                                if (!oldIsChanged) {
                                    isChanged = false;
                                }
                            }
                            oTable.fnDestroy();
                            init();
                            $("#btnApply").hide();
                            $(".DTTT_container").show();
                            if (!changeShow) {
                                alertify.log('<%=CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_REMEMBER,request)%>');
                                changeShow = true;
                            }
                        }
                        $.fn.myTableCorrector = function() {
                            'use strict';
                            var element = $(this);
            <%final StringBuilder myColumns= new StringBuilder();final String AJAX_OK = CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_SAVED,request);final String yesOption = CurrentLanguage.getString(Text.CALIFICATION_VISIBLE_YES,request);final String noOption = CurrentLanguage.getString(Text.CALIFICATION_VISIBLE_NO,request);%>
                            var possible = ['<%=yesOption.toUpperCase()%>', '<%=yesOption.toLowerCase()%>', '<%=noOption.toUpperCase()%>', '<%=noOption.toLowerCase()%>'];
                            var evalItemColumn = [<%for (int i=1;i<=EVALUABLE_ITEMS_SIZE;i++){myColumns.append("null,");%><%=((i>1)?",":"")+i%><%}myColumns.append("null,null,null,null,null,null,null,null");%>];
                            var evalItemValue = [<%for (int i=0;i<EVALUABLE_ITEMS_SIZE;i++){%><%=((i>0)?",":"")+(mEvaluableItems.get(i).getAssociatedWeight()*0.01)%><%}%>];
                            element.find('td').on('change', function(evt) {
                                var cell = $(this),
                                        column = cell.index();
                                var row = $(this).closest("tr");
                                var rowIdx = $("tr", ('#<%=myTable%>').tbody).index(row);
                                if (column === 0 || column === (nItems + 1) || column === (nItems + 4)) {
                                    return false;
                                }
                                if ((column === (nItems + 6) || column === (nItems + 7)) && ($.inArray(cell.text(), possible) == -1)) {
                                    return false;
                                }
                                if ($.inArray(column, evalItemColumn) > -1) {
                                    var counter = 1;
                                    element.find('tbody tr').each(function() {
                                        var row = $(this);
                                        if (counter == rowIdx) {
                                            var i = 1;
                                            var cal = 0;
                                            for (i = 1; i <= nItems; i++) {
                                                cal += (Number(row.children().eq(i).text())) * evalItemValue[i - 1];
                                            }
                                            cal = cal > maxCal ? maxCal : cal < 0 ? 0 : cal;
                                            row.children().eq((nItems + 1)).text(+cal.toFixed(2));
                                            var totalCal = Number(row.children().eq(nItems + 1).text()) + Number(row.children().eq(nItems + 2).text());
                                            var totalRound = +totalCal.toFixed(2);
                                            row.children().eq(nItems + 4).text(totalRound > maxCal ? maxCal : totalRound < 0 ? 0 : totalRound);
                                        }
                                        counter = counter + 1;
                                    });
                                }
                                if (column === (nItems + 2)) {
                                    var counter = 1;
                                    element.find('tbody tr').each(function() {
                                        var row = $(this);
                                        if (counter == rowIdx) {
                                            var totalCal = Number(row.children().eq(nItems + 1).text()) + Number(row.children().eq(nItems + 2).text());
                                            var totalRound = +totalCal.toFixed(2);
                                            row.children().eq(nItems + 4).text(totalRound > maxCal ? maxCal : totalRound < 0 ? 0 : totalRound);
                                        }
                                        counter = counter + 1;
                                    });
                                }
                                oldIsChanged = isChanged;
                                isChanged = true;
                                if (isApply) {
                                    isApply = false;
                                    $("#btnApply").show();
                                    $(".DTTT_container").hide();
                                    if (!applyShow) {
                                        alertify.log('<%=CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_APPLY_CHANGES_ALERT,request)%>');
                                        applyShow = true;
                                    }
                                }
                            }).on('validate', function(evt, value) {
                                var cell = $(this),
                                        column = cell.index();
                                if (column === 0 || column === (nItems + 1) || column === (nItems + 4)) {
                                    return false;
                                } else {
                                    if (column === (nItems + 3)) {
                                        if (value.length > <%=ConstantsDB.TABLE_CALIFICATION_ATT_REASON_MAX%>) {
                                            return false;
                                        }
                                    } else {
                                        if (column === (nItems + 5)) {
                                            if (value.length > <%=ConstantsDB.TABLE_CALIFICATION_ATT_OPTIONAL_COMMENT_MAX%>) {
                                                return false;
                                            }
                                        } else {
                                            if (column === (nItems + 6) || column === (nItems + 7)) {
                                                if (($.inArray(value, possible) == -1)) {
                                                    return false;
                                                }
                                            } else {
                                                if ($.inArray(column, evalItemColumn) > -1) {
                                                    return !isNaN(parseFloat(value)) && isFinite(value) && value <= maxCal;
                                                } else {
                                                    return !isNaN(parseFloat(value)) && isFinite(value);
                                                }
                                            }
                                        }
                                    }
                                }
                                return true;
                            }).on('click', function(evt) {
                                var cell = $(this),
                                        column = cell.index();
                                return (column !== 0 && column !== (nItems + 1) && column !== (nItems + 4));
                            }).on('dblclick', function(evt) {
                                var cell = $(this),
                                        column = cell.index();
                                return (column !== 0 && column !== (nItems + 1) && column !== (nItems + 4));
                            }).on('keydown', function(evt) {
                                var cell = $(this),
                                        column = cell.index();
                                return ((column !== 0 && column !== (nItems + 1) && column !== (nItems + 4)) || evt.keyCode == 9 || evt.keyCode == 37 || evt.keyCode == 38 || evt.keyCode == 39 || evt.keyCode == 40);

                            }).on('keypress', function(evt) {
                                var cell = $(this),
                                        column = cell.index();
                                return ((column !== 0 && column !== (nItems + 1) && column !== (nItems + 4)) || evt.keyCode == 9 || evt.keyCode == 37 || evt.keyCode == 38 || evt.keyCode == 39 || evt.keyCode == 40);
                            });
                            return this;
                        };
                        function getSecMinHour() {
                            var currentDate = new Date(new Date().getTime());
                            var seconds = currentDate.getSeconds();
                            var minutes = currentDate.getMinutes();
                            var hour = currentDate.getHours();
                            if (seconds < 10) {
                                seconds = '0' + seconds;
                            }
                            if (minutes < 10) {
                                minutes = '0' + minutes;
                            }
                            if (hour < 10) {
                                hour = '0' + hour;
                            }
                            return hour + ':' + minutes + ':' + seconds;
                        }
                        function init() {
                            var currentDate = new Date(new Date().getTime());
                            var day = currentDate.getDate();
                            var month = currentDate.getMonth() + 1;
                            var year = currentDate.getFullYear();
                            if (day < 10) {
                                day = '0' + day;
                            }
                            if (month < 10) {
                                month = '0' + month;
                            }
                            var dateSeparator = '<%=ConstantsForm.DAY_MONTH_SEPARATOR%>';
                            oTable = $('#<%=myTable%>').dataTable({
                                "language": {
                                    "url": "../../../assets/js/locales/<%=languageCode%>_DT.txt"
                                },
                                "order": [[1, "asc"]],
                                "sDom": 'T<"clear">lfrtip',
                                "aoColumns": [
                                    {"bVisible": false},<%=myColumns%>],
                                "oTableTools": {
                                    "sSwfPath": "../../../assets/swf/copy_csv_xls_pdf.swf",
                                    "aButtons": (hasFlash() ? [
                                        {
                                            "sExtends": "ajax",
                                            "sAjaxUrl": "/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_CALIFICATE_ASSIGNMENT%>&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_ASSIGNMENT_SELECTED%>=<%=assignmentId%>",
                                            "sButtonText": "<%=CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_SAVE_CHANGES,request)%>",
                                            "sButtonClass": "<%=inventedClass%>",
                                            "fnClick": function(nButton, oConfig) {
                                                if (oTable.fnGetData().length > 0) {

                                                    var sData = this.fnGetTableData(oConfig);
                                                    $('.<%=inventedClass%>').hide(1000);
                                                    $('#loadImg').show();
                                                    $.ajax({
                                                        "url": oConfig.sAjaxUrl,
                                                        "data": [
                                                            {"name": "<%=myTable%>", "value": sData}
                                                        ],
                                                        "success": oConfig.fnAjaxComplete,
                                                        "dataType": "json",
                                                        "type": "POST",
                                                        "cache": false,
                                                        "error": function() {
                                                            alertify.error('<%=msgErrorAjax%>');
                                                        }, complete: function() {
                                                            $('#loadImg').hide(1700);
                                                            if (isApply) {
                                                                $('.<%=inventedClass%>').show(1000);
                                                            }
                                                        }
                                                    });
                                                } else {
                                                    alertify.success('<%=AJAX_OK%>');
                                                }
                                            }, "fnAjaxComplete": function(json) {
                                                if (json.<%=ConstantsForm.CONTROLLER_AJAX_NAME%> == <%=ConstantsForm.CALIFICATION_AJAX_OK%>) {
                                                    alertify.success('<%=AJAX_OK%>');
                                                    oldIsChanged = isChanged;
                                                    isChanged = false;
                                                } else {
                                                    alertify.error('<%=msgErrorAjax%>');
                                                }
                                            }
                                        },
                                        {
                                            "sExtends": "copy",
                                            "mColumns": "visible",
                                            "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_COPY,request)%>",
                                            "fnComplete": function(nButton, oConfig, flash, text) {
                                                this.fnInfo('<%=CurrentLanguage.getString(Text.TABLES_COPY_TEXT,request)%>',
                                                        1500
                                                        );
                                            }
                                        },
                                        {"sExtends": "csv", "sCharSet": "utf16le", "mColumns": "visible"},
                                        {"sExtends": "xls", "mColumns": "visible", "sFileName": "*.xls"},
                                        {"sExtends": "pdf", "mColumns": "visible", "sPdfOrientation": "portrait",
                                            "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_PDF_V,request)%>",
                                            "sToolTip": "<%=CurrentLanguage.getString(Text.ORIENTATION_HINT,request)%>",
                                            "sPdfMessage": "<%=CurrentLanguage.getString(Text.TABLES_PDF_MSG,request)%> Class Control " + day + dateSeparator + month + dateSeparator + year + ' ' + getSecMinHour(),
                                            "sTitle": '<%=assignmentTitle%> - <%=subjectCompetenceTitle%>'
                                        }, {"sExtends": "pdf", "mColumns": "visible", "sPdfOrientation": "landscape",
                                            "sToolTip": "<%=CurrentLanguage.getString(Text.ORIENTATION_HINT,request)%>",
                                            "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_PDF_H,request)%>",
                                            "sPdfMessage": "<%=CurrentLanguage.getString(Text.TABLES_PDF_MSG,request)%> Class Control " + day + dateSeparator + month + dateSeparator + year + ' ' + getSecMinHour(),
                                            "sTitle": '<%=assignmentTitle%> - <%=subjectCompetenceTitle%>'
                                        },
                                        {
                                            "sExtends": "print", "mColumns": "visible",
                                            "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_PRINT,request)%>",
                                            "sInfo": "<%=CurrentLanguage.getString(Text.TABLES_PRINT_TEXT,request)%>"
                                        }
                                    ] : [{
                                            "sExtends": "ajax",
                                            "sAjaxUrl": "/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_CALIFICATE_ASSIGNMENT%>&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_ASSIGNMENT_SELECTED%>=<%=assignmentId%>",
                                            "sButtonText": "<%=CurrentLanguage.getString(Text.CALIFICATION_CALIFICATION_SAVE_CHANGES,request)%>",
                                            "sButtonClass": "<%=inventedClass%>",
                                            "fnClick": function(nButton, oConfig) {

                                                if (oTable.fnGetData().length > 0) {
                                                    var sData = this.fnGetTableData(oConfig);
                                                    $('.<%=inventedClass%>').hide(1000);
                                                    $('#loadImg').show();
                                                    $.ajax({
                                                        "url": oConfig.sAjaxUrl,
                                                        "data": [
                                                            {"name": "<%=myTable%>", "value": sData}
                                                        ],
                                                        "success": oConfig.fnAjaxComplete,
                                                        "dataType": "json",
                                                        "type": "POST",
                                                        "cache": false,
                                                        "error": function() {
                                                            alertify.error('<%=msgErrorAjax%>');
                                                        }, complete: function() {
                                                            $('#loadImg').hide(1700);
                                                            if (isApply) {
                                                                $('.<%=inventedClass%>').show(1000);
                                                            }
                                                        }
                                                    });
                                                } else {
                                                    alertify.success('<%=AJAX_OK%>');
                                                }
                                            }, "fnAjaxComplete": function(json) {
                                                if (json.<%=ConstantsForm.CONTROLLER_AJAX_NAME%> == <%=ConstantsForm.CALIFICATION_AJAX_OK%>) {
                                                    alertify.success('<%=AJAX_OK%>');
                                                    oldIsChanged = isChanged;
                                                    isChanged = false;
                                                } else {
                                                    alertify.error('<%=msgErrorAjax%>');
                                                }
                                            }
                                        }, {
                                            "sExtends": "print", "mColumns": "visible",
                                            "sButtonText": "<%=CurrentLanguage.getString(Text.TABLES_PRINT,request)%>",
                                            "sInfo": "<%=CurrentLanguage.getString(Text.TABLES_PRINT_TEXT,request)%>"
                                        }])
                                }
                            });
                            $('#<%=myTable%>').editableTableWidget().myTableCorrector();
                            oldData = oTable.fnGetData();
                            $('[rel=popover]').popover({container: 'body'});
                        }
                        $(document).ready(function() {
                            init();
                        });
        </script>
    </body>
</html>