<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.List"%>
<%@page import="classcontrol.entity.EvaluableItem"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
int assignmentId;
    try{
        assignmentId = Integer.parseInt(request.getParameter(Constants.PARAMETER_ASSIGNMENT_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
    final String webName=CurrentLanguage.getString(Text.S_C_EVALUABLE_ITEM,request);
%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.core.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.default.css" rel="stylesheet">
        <style type="text/css">
            .itemEval{padding: 5px;margin:5px}
        </style>
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <!--<body oncontextmenu="return false">-->
    <body>
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/AssignmentsSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_ASSIGNMENT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/Assignment/SelectAssignment.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_ASSIGNMENT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/Assignment/CalificateAssignment.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_ASSIGNMENT_SELECTED%>=<%=assignmentId%>"><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENT_CALIFICATION,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String myForm = ConstantsForm.FORM_NAME_ID;%>
            <form name="<%=myForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_EVALUABLE_ITEM_2%>&<%=Constants.PARAMETER_ASSIGNMENT_SELECTED%>=<%=assignmentId%>&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Message.jsp" method="post" onsubmit="return checkFields();">
                <div class="row placeholders">
                    <div class="col-lg-3" align="center">
                        <div align="center" class="alert alert-success fade in" style="margin-left: 10px;margin-right: 10px;">
                            <p style="text-align:center"><h4><%=CurrentLanguage.getString(Text.ASSIGNMENT_EVALUABLE_ITEM_HINT,request)%></h4></p></div>
                    </div>
                    <div class="col-lg-6" align="center">
                        <h3><%=webName%></h3><br/>
                        <% final String nameName = ConstantsForm.EVALUATE_ITEM_NAME;
                        final String  percentageName = ConstantsForm.EVALUATE_ITEM_WEIGHT;
                        final byte MAX_WEIGHT = ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_MAX;
                        final byte MIN_WEIGHT = ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_MIN;
                        final byte DEF_WEIGHT = ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_DEF;
                        final List<EvaluableItem> myEvaluableItemsList = (List<EvaluableItem>) request.getAttribute(Constants.ATT_EVALUABLE_ITEMS_ASSIGNMENT_LIST);
                        final String nameId = "field";
                        final byte START_FIELD_NUMBER = 0;
                        final int NAME_MAX_LENGTH= ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_NAME_MAX;
                        %>
                        <div id="inputsWrapper">
                            <% int counter = START_FIELD_NUMBER;
                            final String myPlaceholder = CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_TITLE,request);
                            final String myRemoveTitle = CurrentLanguage.getString(Text.S_C_EDIT_DELETE,request);
                            final String myWeightTitle = CurrentLanguage.getString(Text.WEIGHT,request);
                            if (myEvaluableItemsList==null || myEvaluableItemsList.size()==0){%>
                            <div class="itemEval"><input type="text" maxlength="<%=NAME_MAX_LENGTH%>" name="<%=nameName%>" id="<%=nameId+counter%>" placeholder="<%=myPlaceholder%>"> - <input class="percentage" onchange="checkTotal();" type="number" name="<%=percentageName%>" data-toggle="tooltip" title="<%=myWeightTitle%>" value="<%=DEF_WEIGHT%>" min="<%=MIN_WEIGHT%>" max="<%=MAX_WEIGHT%>"/> % <button type="button" class="btn btn-danger removeclass"><span class="glyphicon glyphicon-remove"></span> <%=myRemoveTitle%></button></div>
                                <%}else{String mName;for (final EvaluableItem evalItem:myEvaluableItemsList){mName=evalItem.getName();%>
                            <div class="itemEval"><input type="text" maxlength="<%=NAME_MAX_LENGTH%>" name="<%=nameName%>" id="<%=nameId+counter%>" placeholder="<%=myPlaceholder%>" value="<%=mName%>" > - <input class="percentage" onchange="checkTotal();" data-toggle="tooltip" title="<%=myWeightTitle%>" type="number" name="<%=percentageName%>" value="<%=evalItem.getAssociatedWeight()%>" min="<%=MIN_WEIGHT%>" max="<%=MAX_WEIGHT%>"/> % <button id="<%=mName%>" type="button" class="btn btn-danger removeclass"><span class="glyphicon glyphicon-remove"></span> <%=myRemoveTitle%></button></div>
                                <%counter++;}}%>
                        </div>
                        <div style="margin-top: 10px;"><p>
                                <button id="AddMoreFileBox" type="button" class="btn btn-warning"><span class="glyphicon glyphicon-plus"></span> <%=CurrentLanguage.getString(Text.ASSIGNMENT_EVALUABLE_ITEM_ADD,request)%></button>
                            </p></div>
                    </div>
                    <div class="col-lg-3" align="center">
                        <div align="center" id="myAlert" class="alert alert-info fade in" style="margin-left: 10px;margin-right: 10px;" hidden>
                            <p style="text-align:center"><h4><%=CurrentLanguage.getString(Text.EVALUABLE_ITEMS_NOT_MAXIMUM,request)%></h4></p></div>
                    </div>
                    <div class="col-lg-12" align="center">
                        <%final String saveText=CurrentLanguage.getString(Text.SAVE,request);%>
                        <button type="submit" class="btn btn-success" id="submit"><h4><%=saveText%></h4></button>
                    </div>
                </div><%final String hiddenDeleted=ConstantsForm.CREATE_ASSIGNMENT_DELETED_EVALUABLE_ITEMS;%><input type="hidden" name="<%=hiddenDeleted%>"/>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script src="../../../assets/js/compare-strings.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootbox.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootstrap-maxlength.min.js"></script>
        <script src="../../../assets/js/bootstrap-tooltip.js"></script>
        <script src="../../../assets/js/alertify.min.js"></script>
        <script type="text/javascript">
                function enableAlert(isEnabled) {
                    var myAlertID = "#myAlert";
                    if (isEnabled) {
                        $(myAlertID).show();
                    } else {
                        $(myAlertID).hide();
                    }
                }
                var NO_NULL = '<%=CurrentLanguage.getString(Text.NO_NULL,request)%>.';
                function checkTotal() {
                    var values = 0;
                    var currentValue;
                    var found = false;
                    $("input[name='<%=percentageName%>']").each(function() {
                        currentValue = $(this).val().trim();
                        if (currentValue.length == 0) {
                            found = true;
                        } else {
                            values = values + Number(currentValue);
                        }
                    });
                    if (found) {
                        alertify.error('<%=myWeightTitle%>: ' + NO_NULL);
                        return false;
                    }
                    if (values > <%=MAX_WEIGHT%>) {
                        alertify.error(values + ' % - <%=CurrentLanguage.getString(Text.ASSIGNMENT_EVALUABLE_ITEM_AMOUNT,request)%> ' + <%=MAX_WEIGHT%> + '%.');
                        enableAlert(false);
                        return false;
                    } else {
                        if (values ==<%=MAX_WEIGHT%>) {
                            enableAlert(false);
                        } else {
                            enableAlert(true);
                        }
                        return true;
                    }
                }
                var removedEI = [];
                $(document).ready(function() {
                    var maxInputs = <%=ConstantsForm.MAX_EVALUABLE_ITEM_NUMBER%>; //maximum input boxes allowed
                    var inputsWrapper = $("#inputsWrapper"); //Input boxes wrapper ID
                    var addButton = $("#AddMoreFileBox"); //Add button ID

                    var x = inputsWrapper.length; //initlal text box count
                    var fieldCount = 0; //to keep track of text box added

                    $(addButton).click(function(e)  //on add input button click
                    {
                        if (x <= maxInputs) //max input box allowed
                        {
                            fieldCount++;
                            $(inputsWrapper).append('<div class="itemEval"><input type="text" maxlength="<%=NAME_MAX_LENGTH%>" name="<%=nameName%>" id="field' + fieldCount + '" placeholder="<%=myPlaceholder%>"/> - <input class="percentage" onchange="checkTotal();" type="number" name="<%=percentageName%>" data-toggle="tooltip" title="<%=myWeightTitle%>" value="<%=DEF_WEIGHT%>" min="<%=MIN_WEIGHT%>" max="<%=MAX_WEIGHT%>"/> % <button type="button" class="btn btn-danger removeclass"><span class="glyphicon glyphicon-remove"></span> <%=myRemoveTitle%></button></div>');
                            $('.percentage').tooltip();
                            x++; //text box increment
                        }
                        return false;
                    });
                    $("body").on("click", ".removeclass", function(e) {
                        $(this).parent('div').remove();
                        var possibleId = $(this).attr("id");
                        if (typeof possibleId !== 'undefined' && possibleId.length > 0) {
                            removedEI.push(possibleId);
                        }
                        x--;
                        return false;
                    });
                    checkTotal();
                    $('.percentage').tooltip();
                    $('input[maxlength]').maxlength({alwaysShow: true});
                });
                function checkFields() {
                    if (!checkTotal()) {
                        return false;
                    }
                    var allNames = new Array();
                    var currentValue;
                    var found = false;
                    $("input[name='<%=nameName%>']").each(function() {
                        currentValue = $(this).val().trim();
                        if (currentValue.length == 0) {
                            found = true;
                        } else {
                            allNames.push(removeDiacritics($(this).val().toLowerCase()));
                        }
                    });
                    if (found) {
                        alertify.error('<%=myPlaceholder%>: ' + NO_NULL);
                        return false;
                    }
                    var nItems = allNames.length;
                    var i = 0;
                    var position = 0;
                    for (i = 0; i < nItems && !found; i++) {

                        position = $.inArray(allNames[i], allNames);
                        if (position != i && position > -1) {
                            found = true;
                        }
                    }
                    if (found) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.ASSIGNMENT_EVALUABLE_ITEM_NO_REPEAT,request)%>');
                        return false;
                    }
                    $("input[name='<%=hiddenDeleted%>']").val(JSON.stringify(removedEI));
                }
        </script>
    </body>
</html>