<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);%>
<%int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
    final String webName=CurrentLanguage.getString(Text.S_C_B_A_APPLY_ASPECT,request);
%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/BehaviourAttitudeSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_BEHAVIOUR_ATTITUDE,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <form name="<%=ConstantsForm.FORM_NAME_ID%>" onsubmit="return checkFields();" method="post" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_ASPECT_STUDENT_2%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/BehaviourAttitude/BehaviourAttitudeStudent2.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>">
                <div class="jumbotron">
                    <h3><%=CurrentLanguage.getString(Text.S_C_ATTEND_ABSENCE_APPLY_TO,request)%> *</h3>
                    <p>
                        <%final String students = ConstantsForm.ATTEND_ABSENCES_STUDENTS;
                        final ArrayList<String> subjectCompetenceMembers = (ArrayList<String>)request.getAttribute(Constants.ATT_ABSENCE_STUDENTS_LIST);%>
                        <select id="<%=students%>" name="<%=students%>" autofocus multiple>
                            <%for (final String name:subjectCompetenceMembers){%>
                            <option value="<%=name%>"><%=name.substring(0,name.lastIndexOf(ConstantsForm.SEPARATOR))%></option>
                            <%}%>
                        </select>
                    </p>
                    <p style="text-align:center"><button type="button" class="btn btn-default" onclick="selectAll('<%=students%>', true);"><%=CurrentLanguage.getString(Text.SELECT_ALL,request)%></button> <button type="button" class="btn btn-default" onclick="selectAll('<%=students%>', false);"><%=CurrentLanguage.getString(Text.SELECT_0,request)%></button></p>
                    <p><i><%=CurrentLanguage.getString(Text.S_C_B_A_APPLY_ASPECT_HINT_1,request)%><br> <%=CurrentLanguage.getString(Text.S_C_B_A_APPLY_ASPECT_HINT_2,request)%></i></p>
                    <div align="center">
                        <%final String next = CurrentLanguage.getString(Text.NEXT,request);%>
                        <button type="submit" value="<%=next%>" class="btn btn-success" id="submit"><h4><%=next%></h4></button>
                    </div>
                </div>

            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootbox.min.js"></script>
        <script type="text/javascript">
                function selectAll(selectBox, selectAll) {
                    // have we been passed an ID
                    if (typeof selectBox == "string") {
                        selectBox = document.getElementById(selectBox);
                    }
                    // is the select box a multiple select box?
                    if (selectBox.type == "select-multiple") {
                        var LENGTH = selectBox.options.length;
                        for (var i = 0; i < LENGTH; i++) {
                            selectBox.options[i].selected = selectAll;
                        }
                    }
                }
                function checkFields() {
                    var select = document.getElementById('<%=students%>');
                    var result = [];
                    var options = select && select.options;
                    var opt;
                    var LENGTH = options.length;
                    for (var i = 0, iLen = LENGTH; i < iLen; i++) {
                        opt = options[i];
                        if (opt.selected) {
                            result.push(opt.value || opt.text);
                        }
                    }
                    if (result == '') {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.S_C_ATTEND_AT_LEAST_ONE,request)%>');
                        return false;
                    }
                }
        </script>
    </body>
</html>