<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);%>
<%int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
    }
    final String webName=CurrentLanguage.getString(Text.S_C_ATTEND_ABSENCE_APPLY_TO,request);
    final String[] selectedStudents = (String[])request.getAttribute(Constants.ATT_STUDENT_ASPECTS_SELECTED_LIST);
    final int TOTAL_SELECTED = selectedStudents.length;
    final ArrayList<String> myPositiveList = (ArrayList<String>) request.getAttribute(Constants.ATT_BEHAVIOUR_ATTITUDE_ASPECT_POSITIVE_LIST);
    final ArrayList<String> myNegativeList = (ArrayList<String>) request.getAttribute(Constants.ATT_BEHAVIOUR_ATTITUDE_ASPECT_NEGATIVE_LIST);
    ArrayList<String> mySelectedList = (ArrayList<String>) request.getAttribute(Constants.ATT_STUDENT_ASPECTS_LIST);
    final boolean POSSIBLE_SELECTED = TOTAL_SELECTED==1&&mySelectedList!=null&&mySelectedList.size()>0?true:false;
    mySelectedList = mySelectedList==null?new ArrayList<String>() :mySelectedList;
    final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);
%>
<!DOCTYPE html>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/select-list.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" align="center"><%=Login.getUserFirstNameRole(request)%></a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/BehaviourAttitudeSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_BEHAVIOUR_ATTITUDE,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_ASPECT_STUDENT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/BehaviourAttitude/BehaviourAttitudeStudent.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_B_A_APPLY_ASPECT,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String positiveString=ConstantsForm.CREATE_ASPECT_LIST_POSITIVE;
            final String negativeString=ConstantsForm.CREATE_ASPECT_LIST_NEGATIVE;
            %>
            <form name="<%=ConstantsForm.FORM_NAME_ID%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_ASPECT_STUDENT_3%>&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Message.jsp" method="post" onsubmit="return checkFields();">
                <div class="row placeholders">
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.S_C_ATTEND_ABSENCE_APPLY_TO,request)%></h3>
                        <%for(final String student:selectedStudents){%>
                        <h5><%=student.substring(0,student.lastIndexOf(ConstantsForm.SEPARATOR))%></h5>
                        <input name="<%=ConstantsForm.ATTEND_ABSENCES_STUDENTS%>" type="hidden" hidden aria-required="true" required value="<%=student%>">
                        <%}%>
                    </div>
                    <%String mName;final String NO_ASPECTS=CurrentLanguage.getString(Text.S_C_NO_ASPECTS,request);if (myPositiveList.size()==0 && myNegativeList.size()==0){%>
                    <div class="col-lg-4" align="center">
                        <h3><%=NO_ASPECTS%></h3>
                    </div>
                    <% }else{%>
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE,request)%></h3>
                        <p><%if(myPositiveList.size()==0){%><span><%=NO_ASPECTS%></span><%}else{%>
                        <div class="selectlist" >
                            <%for (final String currentName:myPositiveList){mName=currentName.substring(0,currentName.indexOf(ConstantsForm.SEPARATOR));%>
                            <input type="checkbox" name="<%=positiveString%>" value="<%=currentName%>"<%=POSSIBLE_SELECTED&&mySelectedList.contains(mName)?"checked":""%> /><%=mName%><br />
                            <%}%>
                        </div><%}%>
                        </p>
                    </div>
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE,request)%></h3>
                        <p><%if(myNegativeList.size()==0){%><span><%=NO_ASPECTS%></span><%}else{%>
                        <div class="selectlist" >
                            <%for (final String currentName:myNegativeList){mName=currentName.substring(0,currentName.indexOf(ConstantsForm.SEPARATOR));%>
                            <input type="checkbox" name="<%=negativeString%>" value="<%=currentName%>"<%=POSSIBLE_SELECTED&&mySelectedList.contains(mName)?"checked":""%> /><%=mName%><br />
                            <%}%>
                        </div><%}%>
                        </p>
                    </div>
                    <%}%>
                </div>
                <div align="center">
                    <%final String backText=CurrentLanguage.getString(Text.BACK,request);
                    final String saveText=CurrentLanguage.getString(Text.SAVE,request);%>
                    <button type="button" onclick="goBack()();" value="<%=backText%>" class="btn btn-info"><h4><%=backText%></h4></button>
                            <%if (myPositiveList.size()!=0 || myNegativeList.size()!=0){%>
                    <button type="submit" value="<%=saveText%>" class="btn btn-success" id="submit"><h4><%=saveText%></h4></button>
                            <%}%>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootbox.min.js"></script>
        <script type="text/javascript">
                function goBack()
                {
                    window.history.back();
                }
                function checkFields() {

            <%if(TOTAL_SELECTED>1){%>
                    var counter = 0;
                    $("input:checkbox[name=<%=positiveString%>]:checked").each(function()
                    {
                        counter = counter + 1;
                    });
                    $("input:checkbox[name=<%=negativeString%>]:checked").each(function()
                    {
                        counter = counter + 1;
                    });
                    if (counter == 0) {
                        bootbox.alert("<%=CurrentLanguage.getString(Text.S_C_B_A_ANY_ASPECT,request)%>");
                        return false;
                    }
            <%}%>
                }
        </script>
    </body>
</html>