package classcontrol.controller;

import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;

/**
 *
 *
 * Handles all business logic of modify a new behaviour attitude aspect: step 1.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public final class ModifyAspectController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // 2. Sets all teacher's behaviour attitude aspects in a request parameter.
        final String idEdmodoTeacher = (String) this.request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoTeacher == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        new BehaviourAttitudeUtil().setRequestPositiveNegativeList(idEdmodoTeacher, request, false);
    }
}