<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ page isErrorPage="true" %>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=CurrentLanguage.getString(Text.ERROR_500,request)%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="/assets/ico/favicon.ico">
        <title><%=CurrentLanguage.getString(Text.ERROR_500,request)%></title>
        <link href="/assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="/assets/css/navbar.css" rel="stylesheet">
        <link href="/assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>

    <body oncontextmenu="return false">

        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <a class="navbar-brand" align="center"><%=CurrentLanguage.getString(Text.ERROR_500,request)%></a>
                    </div>
                </div>
            </div>
            <div class="jumbotron">
                <h1><%=CurrentLanguage.getString(Text.ERROR_500,request)%></h1>
                <h3><%=CurrentLanguage.getString(Text.ERROR_500_MSG,request)%></h3>
                <p style="text-align: center">
                    <button type="button" onclick="goBack()" value="<%=CurrentLanguage.getString(Text.BACK,request)%>" class="btn btn-info"><h4><%=CurrentLanguage.getString(Text.BACK,request)%></h4></button>
                </p>
            </div>
            <%@ include file="/include/footer.jsp" %>
            <script type="text/javascript" src="/assets/js/jquery-2.1.0.min.js"></script>
            <script src="/assets/js/bootstrap.min.js"></script>
            <script type="text/javascript">
                        function goBack()
                        {
                            window.history.back();
                        }
            </script>
        </div>
    </body>
</html>