<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="javax.servlet.http.HttpSession"%>
<%@page import="classcontrol.entity.Assignment"%>
<%@page import="classcontrol.entity.EvaluationPeriod"%>
<%@page import="classcontrol.entity.Student"%>
<%@page import="classcontrol.entity.EvaluationPeriodAssignment"%>
<%@page import="java.util.List"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
final HttpSession mSession=request.getSession();
final String studentEdmodoId=(String) mSession.getAttribute(Constants.SESSION_ID_EDMODO_USER);
if (studentEdmodoId==null || studentEdmodoId.length()==0){
throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
    }
    final String webName=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT,request);
    final Student currentStudent = (Student) request.getAttribute(Constants.ATT_STUDENT_DATA);
    final SubjectCompetence mSubjectCompetence = ((List<SubjectCompetence>) mSession.getAttribute(studentEdmodoId)).get(subjectCompetenceIndex);
    final String subjectCompetenceTitle = mSubjectCompetence.getTitle();
    final String currentStudentName = currentStudent.getFullName();
%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE+'&'+Constants.CONTROLLER_NEXT_URL+"=/Student/SelectSubjectCompetence.jsp&"%>"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final int TITLE_LENGTH=subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID+'='+Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE+'&'+Constants.CONTROLLER_NEXT_URL+"=/Student/SubjectCompetence/SubjectCompetence.jsp&"+'&'+Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED+'='+subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_EVALUATION_REPORT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Student/SubjectCompetence/EvaluationInform.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS_EVALUATION_REPORT,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row placeholders">
                <% final List<EvaluationPeriodAssignment> list = (List<EvaluationPeriodAssignment>) request.getAttribute(Constants.ATT_LIST_ASSIGNMENTS);
                if (list!=null){
                    String title;
                    final String periodText = CurrentLanguage.getString(Text.PERIOD,request);
                    final String noAssignmentText = CurrentLanguage.getString(Text.NO_ASSIGNMENTS_EVALUATION_PERIOD,request);
                    EvaluationPeriod evaluationPeriodAux;
                    List<Assignment> assignmentListAux;
                    int evaluationPeriodCounter=0;
                    int assignmentsSizeAux;
                    final int nPeriods =list.size();
                    final String bootstrapSeparator = nPeriods==1?"col-xs-12":
                        nPeriods==2?"col-xs-6":nPeriods==3?"col-xs-6 col-sm-4":"col-xs-6 col-sm-3";
                    final SimpleDateFormat myEvalPeriodsSDF = new SimpleDateFormat("dd/MM/yy");
                    for(final EvaluationPeriodAssignment currentEvaluationPeriod : list){
                        evaluationPeriodAux = currentEvaluationPeriod.getMyEvaluationPeriod();
                        assignmentListAux = currentEvaluationPeriod.getMyAssignmentsList();assignmentsSizeAux =assignmentListAux.size();%>
                <%=(evaluationPeriodCounter!=0 && ((evaluationPeriodCounter%4)==0))?"<div class=\"clearfix visible-xs-sm\"></div>":(evaluationPeriodCounter!=0 && ((evaluationPeriodCounter%2)==0))?"<div class=\"clearfix visible-xs\"></div>":""%>
                <div class="<%=bootstrapSeparator%> placeholder"><h2><%=periodText+' '+(evaluationPeriodCounter+1)%></h2><span class="text-muted"><%=myEvalPeriodsSDF.format(evaluationPeriodAux.getInitialDate())%> - <%=myEvalPeriodsSDF.format(evaluationPeriodAux.getFinalDate())%></span>
                        <%if (assignmentsSizeAux==0){%>
                    <h4><%=noAssignmentText%></h4>
                    <% }else{
                     for(final Assignment current : assignmentListAux){title = current.getTitle(); %>
                    <P><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_ASSIGNMENT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Student/SubjectCompetence/Assignment/AssignmentDetails.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_ASSIGNMENT_SELECTED%>=<%=current.getIdAssignment()%>"><img src="../assets/img/menu/Shape 61_64.png" class="img-responsive" alt="<%=title%>">
                            <h4><%=title%></h4>
                            <span class="text-muted"><%=myEvalPeriodsSDF.format(current.getDate())%></span></a></P>
                            <%}}%>
                </div>
                <%evaluationPeriodCounter++;}}%>
            </div>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../assets/js/bootstrap.min.js"></script>
    </body>
</html>