
<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.language.LanguageFactory"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="java.util.ArrayList"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);%>
<%final String webName=CurrentLanguage.getString(Text.MY_ASPECTS_MODIFY_TITLE,request);%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../assets/css/dashboard.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_TEACHER_ASPECTS %>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Aspect.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_MY_ASPECTS,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <form action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_MODIFY_ASPECT_2%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Aspect/ModifyBehaviourAttitude2.jsp" align="center" onsubmit="return checkFields();" method="post">
                <div class="jumbotron">
                    <h3><%=webName%> *</h3>

                    <%final String idText = ConstantsForm.MODIFY_ASPECT_SELECTED_ASPECT;
                    final ArrayList<String> myPositiveList = (ArrayList<String>) request.getAttribute(Constants.ATT_BEHAVIOUR_ATTITUDE_ASPECT_POSITIVE_LIST);
                    final ArrayList<String> myNegativeList = (ArrayList<String>) request.getAttribute(Constants.ATT_BEHAVIOUR_ATTITUDE_ASPECT_NEGATIVE_LIST);
                    if ((myPositiveList!=null && myPositiveList.size()>0 ) || (myNegativeList!=null && myNegativeList.size()>0)){%>
                    <p><select id="<%=idText%>" name="<%=idText%>" autofocus>
                            <%for (final String aspect:myPositiveList){%>
                            <option value="<%=aspect%>"><%=aspect%></option>
                            <%}%>
                            <%for (final String aspect:myNegativeList){%>
                            <option value="<%=aspect%>"><%=aspect%></option>
                            <%}%>
                        </select></p>
                        <%}%>
                </div>
                <div align="center">
                    <p id="loadImg" style="text-align: center;" hidden><img src="/assets/img/other/load.gif" alt="" height="50" width="50"></p><br/>
                    <%final String next = CurrentLanguage.getString(Text.NEXT,request);%>
                    <button type="submit" value="<%=next%>" class="btn btn-success" id="submit"><h4><%=next%></h4></button>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../../assets/js/bootbox.min.js"></script>
        <script>
                function checkFields() {
                    var selectGroup = document.getElementById('<%=idText%>');
                    var selectedValue = selectGroup.options[selectGroup.selectedIndex].value.trim();
                    if (selectedValue == '')
                    {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.NO_NULL,request)%>');
                        return false;
                    }
                    $('#loadImg').show();
                }
        </script>
    </body>
</html>