<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.language.Language"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.Date"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Calendar"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);
final String webName=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_G_R,request);
final String subjectSelected = ConstantsForm.GENERATE_REPORTS_SUBJECTS_NAME;
final String informName = ConstantsForm.GENERATE_REPORTS_OPTIONS_NAME;%>
<!DOCTYPE html>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../assets/css/navbar.css" rel="stylesheet">
        <link href="../assets/css/dashboard.css" rel="stylesheet">
        <link href="../assets/css/datepicker3.css" rel="stylesheet">
        <link href="../assets/css/select-list.css" rel="stylesheet">
        <link href="../assets/css/alertify.core.css" rel="stylesheet">
        <link href="../assets/css/alertify.default.css" rel="stylesheet">
        <link href="../assets/css/bootstrap-switch.min.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String mForm=ConstantsForm.FORM_NAME_ID;%>
            <form name="<%=mForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_GENERATE_REPORTS_2%>" onsubmit="return checkFields();" method="post">
                <div class="row placeholders">
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%> *</h3>
                        <p><%final List<SubjectCompetence> list = (List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES);
                            if(list!=null &&list.size()>0){%><div class="selectlist">
                            <%String title;
                            for (final SubjectCompetence current:list){title=current.getTitle();%>
                            <input type="checkbox" checked name="<%=subjectSelected%>" value="<%=title%>"><%=title%><br/>
                            <%}%></div><%}else{%><h4><%=CurrentLanguage.getString(Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED,request)%></h4><%}%>
                        </p>
                        <%final String selectAll = CurrentLanguage.getString(Text.SELECT_ALL,request);final String unSelectAll = CurrentLanguage.getString(Text.SELECT_0,request); if (list!=null &&list.size()>0){%>
                        <p><button type="button" class="btn btn-default" onclick="selectAll('<%=subjectSelected%>', true);"><%=selectAll%></button><button type="button" class="btn btn-default" onclick="selectAll('<%=subjectSelected%>', false);"><%=unSelectAll%></button></p><%}%>
                        <br/>
                    </div>
                    <div class="col-lg-4" align="center">
                        <h3><%=CurrentLanguage.getString(Text.GENERATE_REPORTS_INFO,request)%> *</h3>
                        <p>
                        <div class="selectlist">
                            <input type="checkbox" name="<%=informName%>" value="<%=ConstantsForm.GENERATE_REPORTS_OPTIONS[ConstantsForm.GENERATE_REPORTS_ATTEND_OPTION_INDEX]%>" checked><%=CurrentLanguage.getString(Text.S_C_ATTEND,request)%><br/>
                            <input type="checkbox" name="<%=informName%>" value="<%=ConstantsForm.GENERATE_REPORTS_OPTIONS[ConstantsForm.GENERATE_REPORTS_BEHAVIOUR_ATTITUDE_OPTION_INDEX]%>" checked><%=CurrentLanguage.getString(Text.S_C_BEHAVIOUR_ATTITUDE,request)%><br/>
                            <input type="checkbox" name="<%=informName%>" value="<%=ConstantsForm.GENERATE_REPORTS_OPTIONS[ConstantsForm.GENERATE_REPORTS_ASSIGNMENTS_OPTION_INDEX]%>" checked><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS,request)%><br/>
                        </div>
                        </p>
                        <p><button type="button" class="btn btn-default" onclick="selectAll('<%=informName%>', true);"><%=selectAll%></button><button type="button" class="btn btn-default" onclick="selectAll('<%=informName%>', false);"><%=unSelectAll%></button></p><br/>
                                <%final String horizontal= CurrentLanguage.getString(Text.TABLES_PDF_H,request);
                                    final String vertical= CurrentLanguage.getString(Text.TABLES_PDF_V,request);
                                    final String orientationPDF=ConstantsForm.GENERATE_REPORTS_ORIENTATION_PDF;
                                    final byte orientationHorizontal=ConstantsForm.GENERATE_REPORTS_ORIENTATION[ConstantsForm.GENERATE_REPORTS_ORIENTATION_HORIZONTAL_INDEX];
                                final byte orientationVertical=ConstantsForm.GENERATE_REPORTS_ORIENTATION[ConstantsForm.GENERATE_REPORTS_ORIENTATION_VERTICAL_INDEX];%>
                        <p data-content="<%=CurrentLanguage.getString(Text.ORIENTATION_HINT,request)%>" rel="popover" data-placement="top" data-trigger="hover"> <input type="radio" name="<%=orientationPDF%>" value="<%=orientationHorizontal%>" checked><br/></p>
                    </div>
                    <div class="col-lg-4" align="center">
                        <%final String initialDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_INITIAL_DATE;
                        final Date initialDatePicker = (Date) request.getAttribute(Constants.ATT_CREATE_INITIAL_DATE);
                        final Date finalDatePicker = (Date) request.getAttribute(Constants.ATT_CREATE_FINAL_DATE);
                        final SimpleDateFormat formatter = new SimpleDateFormat(ConstantsForm.DATE_PICKER_FORMAT_JAVA);
                        final String initialDatePickerString = formatter.format(initialDatePicker==null?Calendar.getInstance().getTime():initialDatePicker);
                        final String finalDatePickerString = formatter.format(finalDatePicker==null?Calendar.getInstance().getTime():finalDatePicker);%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_INITIAL_DATE,request)%> *</h3>
                        <div id="<%=initialDate%>" class="input-group date">
                            <input name="<%=initialDate%>" aria-required="true" required type="text" value="<%=initialDatePickerString%>" class="form-control"><span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div><br/>
                        <%final String finalDate = ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE;%>
                        <h3><%=CurrentLanguage.getString(Text.CSC_TEACHER_TITLE_FINAL_DATE,request)%> *</h3>
                        <div id="<%=finalDate%>" class="input-group date">
                            <input name="<%=finalDate%>" aria-required="true" required type="text" value="<%=finalDatePickerString%>" class="form-control"><span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div><br/>
                        <h5><%=CurrentLanguage.getString(Text.GENERATE_REPORTS_CITE,request)%></h5>
                    </div>
                </div>
                <div align="center"><%final String download = CurrentLanguage.getString(Text.DOWNLOAD,request);%>
                    <p id="mHint" style="text-align: center" hidden><img style="margin-bottom:5px" src="/assets/img/other/load.gif" alt="" height="50" width="50"><br/><b><%=CurrentLanguage.getString(Text.GENERATE_REPORTS_HINT,request)%><span class="lead" id="wait"></span></b></p>
                    <button id="mDownload" type="submit" value="<%=download%>" class="btn btn-success" id="submit"><h4><span class="glyphicon glyphicon-download"></span> <%=download%></h4></button>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../assets/js/bootstrap-datepicker.js"></script>
        <script type="text/javascript" src="../assets/js/bootbox.min.js"></script>
        <script src="../assets/js/locales/bootstrap-datepicker.<%=languageCode%>.js" charset="UTF-8"></script>
        <script src="../assets/js/alertify.min.js"></script>
        <script src="../assets/js/bootstrap-switch.min.js"></script>
        <script type="text/javascript">
                $(document).ready(function() {
                    $('#<%=initialDate%>').datepicker({
                        format: "<%=ConstantsForm.DATE_PICKER_FORMAT%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    }).datepicker().on('changeDate', function(ev) {
                        var initialDate = new Date(ev.date.getFullYear(), ev.date.getMonth(), ev.date.getDate(), 0, 0, 0);
                        var finalDate = $('#<%=finalDate%>').datepicker('getDate');
                        if (finalDate != null && finalDate != 'undefined') {
                            if (finalDate < initialDate) {
                                $('#<%=initialDate%>').datepicker('update', new Date(finalDate));
                                alertify.error('<%=CurrentLanguage.getString(Text.CSC_TEACHER_INITIAL_DATE_ALERT,request)%>');
                            }
                        }
                    });
                    $('#<%=ConstantsForm.CREATE_SUBJECT_COMPETENCE_FINAL_DATE%>').datepicker({
                        format: "<%=ConstantsForm.DATE_PICKER_FORMAT%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        autoclose: true
                    }).datepicker().on('changeDate', function(ev) {
                        var finalDate = new Date(ev.date.getFullYear(), ev.date.getMonth(), ev.date.getDate(), 0, 0, 0);
                        var initialDate = $('#<%=initialDate%>').datepicker('getDate');
                        if (initialDate != null && initialDate != 'undefined') {
                            if (finalDate < initialDate) {
                                $('#<%=finalDate%>').datepicker('update', new Date(initialDate));
                                alertify.error('<%=CurrentLanguage.getString(Text.CSC_TEACHER_FINAL_DATE_ALERT,request)%>');
                            }
                        }
                    });
                    $('[rel=popover]').popover();
                    $("[name='<%=orientationPDF%>']").
                            bootstrapSwitch('onText', '<%=horizontal%>').
                            bootstrapSwitch('offText', '<%=vertical%>').bootstrapSwitch('size', 'large')
                            .bootstrapSwitch('offColor', 'warning')
                            .on('switchChange.bootstrapSwitch', function(event, state) {
                        this.value = state ?<%=orientationHorizontal%> :<%=orientationVertical%>;
                    });
                });
                function selectAll(selectBox, isSelected) {
                    $("input:checkbox[name=" + selectBox + "]").each(function()
                    {
                        this.checked = isSelected;
                    });
                }
                function checkFields() {
                    var counterAsigCompet = 0;
                    $("input:checkbox[name=<%=subjectSelected%>]:checked").each(function()
                    {
                        counterAsigCompet = counterAsigCompet + 1;
                    });
                    if (counterAsigCompet == 0) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES,request)%>');
                        return false;
                    }
                    var counterInform = 0;
                    $("input:checkbox[name=<%=informName%>]:checked").each(function()
                    {
                        counterInform = counterInform + 1;
                    });
                    if (counterInform == 0) {
                        bootbox.alert('<%=CurrentLanguage.getString(Text.GENERATE_REPORTS_NO_INFO,request)%>');
                        return false;
                    }
                    var hint = $("#mHint");
                    window.setInterval(function() {
                        var wait = document.getElementById("wait");
                        if (wait.innerHTML.length > 2)
                            wait.innerHTML = "";
                        else
                            wait.innerHTML += ".";
                    }, 600);
                    hint.show(700);
                    setTimeout(function() {
                        hint.hide(1300);
                    }, 10000);
                    var input = document.createElement('input');
                    input.type = 'hidden';
                    input.name = '<%=orientationPDF%>';
                    input.value = $("[name='<%=orientationPDF%>']").val();
                    document.forms['<%=mForm%>'].appendChild(input);
                                        var mDownload = $("#mDownload");
                    mDownload.hide(1000);
                     setTimeout(function() {
                        mDownload.show(1000);
                    }, 10000);
                }
                var toggle = $("[name='<%=orientationPDF%>']");
                toggle.val(toggle.bootstrapSwitch('state') ? '<%=orientationHorizontal%>' : '<%=orientationVertical%>');
        </script>
    </body>
</html>