<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.dao.ConstantsDB"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="classcontrol.entity.Assignment"%>
<%@page import="classcontrol.entity.EvaluationPeriod"%>
<%@page import="classcontrol.entity.EvaluationPeriodAssignment"%>
<%@page import="java.util.List"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);
int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
    }
    final String webName=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS_EDIT_EVALUATION_PERCENTAGE,request);
    final SubjectCompetence currentSC = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex);
    final String eachText = CurrentLanguage.getString(Text.EVALUATION_PERCENTAGES_EACH,request);
    final String maxText = CurrentLanguage.getString(Text.EVALUATION_PERCENTAGES_MAX,request);
%>
<!DOCTYPE html>
<html lang="<%=CurrentLanguage.getString(Text.HTML_LANG,request)%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.core.css" rel="stylesheet">
        <link href="../../../assets/css/alertify.default.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/AssignmentsSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_ASSIGNMENTS,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <%final String myForm = ConstantsForm.FORM_NAME_ID;
            int evaluationPeriodCounter=0;
            final List<EvaluationPeriodAssignment> list = (List<EvaluationPeriodAssignment>) request.getAttribute(Constants.ATT_LIST_ASSIGNMENTS);
            final String eachPositive = ConstantsForm.EVALUATION_PERCENTAGE_EACH_POSITIVE;
            final String eachNegative = ConstantsForm.EVALUATION_PERCENTAGE_EACH_NEGATIVE;
            final String maxPositive= ConstantsForm.EVALUATION_PERCENTAGE_MAX_POSITIVE;
            final String maxNegative = ConstantsForm.EVALUATION_PERCENTAGE_MAX_NEGATIVE;
            final String periodsWeight = ConstantsForm.CREATE_SUBJECT_COMPETENCE_PERIODS_WEIGHT;
            final String assignmentScore = ConstantsForm.EVALUATION_PERCENTAGE_ASSIGNMENT_SCORE;
            final byte eachPositiveMax = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_EACH_POSITIVE_MAX;
            final byte eachNegativeMax = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_EACH_NEGATIVE_MAX;
            final byte maxPositiveMax = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_MAX_POSITIVE_MAX;
            final byte maxNegativeMax = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_MAX_NEGATIVE_MAX;
            final byte eachPositiveMin = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_EACH_POSITIVE_MIN;
            final byte eachNegativeMin = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_EACH_NEGATIVE_MIN;
            final byte maxPositiveMin = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_MAX_POSITIVE_MIN;
            final byte maxNegativeMin = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_MAX_NEGATIVE_MIN;
            if (list!=null){
                final int nPeriods = list.size();
                final String bootstrapSeparator = nPeriods==1?"col-xs-6":nPeriods==2?"col-xs-6 col-sm-4":"col-xs-6 col-sm-3";
            %>
            <form name="<%=myForm%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_EVALUATION_PERCENTAGE_2%>&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Message.jsp" onsubmit="return checkFields();" method="post">
                <div align="center" id="myAlert" class="alert alert-info fade in" style="margin-left: 10px;margin-right: 10px;"  hidden="">
                    <p style="text-align:center"><%=CurrentLanguage.getString(Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_TOTAL,request)%></p>
                </div>
                <div class="row placeholders">
                    <div class="<%=bootstrapSeparator%>" align="center">
                        <h3><%=CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_POSITIVE,request)%> *</h3>
                        <p><%=eachText%> <input required aria-required="true" style="margin-left: 5px" class="percentage" data-toggle="tooltip" type="number" name="<%=eachPositive%>" min="<%=eachPositiveMin%>" max="<%=eachPositiveMax%>" value="<%=currentSC.getEachPositiveWeigth()%>" onchange="totalEvaluation();"> %<br/><br/> <%=maxText%> <input required aria-required="true" class="percentage" type="number" name="<%=maxPositive%>" min="<%=maxPositiveMin%>" max="<%=maxPositiveMax%>" style="margin-left: 5px" onchange="totalEvaluation();" value="<%=currentSC.getMaxPositiveWeigth()%>"> %</p><br/>
                        <h3><%=CurrentLanguage.getString(Text.S_C_B_A_NEW_ASPECT_NEGATIVE,request)%> *</h3>
                        <p><%=eachText%> <input required aria-required="true" style="margin-left: 5px" type="number" class="percentage" name="<%=eachNegative%>" min="<%=eachNegativeMin%>" max="<%=eachNegativeMax%>" value="<%=currentSC.getEachNegativeWeigth()%>" onchange="totalEvaluation();"> %<br/><br/> <%=maxText%> <input required aria-required="true" class="percentage" type="number" name="<%=maxNegative%>" min="<%=maxNegativeMin%>" max="<%=maxNegativeMax%>" style="margin-left: 5px" onchange="totalEvaluation();" value="<%=currentSC.getMaxNegativeWeigth()%>"> %</p><br/>
                    </div>
                    <%
                        evaluationPeriodCounter++;
                        final String periodText = CurrentLanguage.getString(Text.PERIOD,request);
                        final String noAssignmentText = CurrentLanguage.getString(Text.NO_ASSIGNMENTS_EVALUATION_PERIOD,request);
                        EvaluationPeriod evaluationPeriodAux;
                        List<Assignment> assignmentListAux;
                        int assignmentsSizeAux;
                        int assignmentsCounter;
                        final SimpleDateFormat myEvalPeriodsSDF = new SimpleDateFormat("dd/MM/yy");
                        for(final EvaluationPeriodAssignment currentEvaluationPeriod : list){
                            evaluationPeriodAux = currentEvaluationPeriod.getMyEvaluationPeriod();
                            assignmentListAux = currentEvaluationPeriod.getMyAssignmentsList();assignmentsSizeAux =assignmentListAux.size();%>
                    <%=(evaluationPeriodCounter!=0 && ((evaluationPeriodCounter%4)==0))?"<div class=\"clearfix visible-xs-sm\"></div>":(evaluationPeriodCounter!=0 && ((evaluationPeriodCounter%2)==0))?"<div class=\"clearfix visible-xs\"></div>":""%>
                    <div class="<%=bootstrapSeparator%> placeholder"><h2><%=periodText+' '+evaluationPeriodCounter%></h2><p><input onchange="totalEvaluation();" style="margin-left: 5px;" required aria-required="true" class="percentage" type="number" name="<%=periodsWeight%><%=evaluationPeriodCounter%>" min="<%=ConstantsDB.TABLE_EVALUATION_PERIOD_ATT_PERCENTAGE_MIN%>" max="<%=ConstantsDB.TABLE_EVALUATION_PERIOD_ATT_PERCENTAGE_MAX%>" value="<%=evaluationPeriodAux.getPercentage()%>"> %</p><span class="text-muted"><%=myEvalPeriodsSDF.format(evaluationPeriodAux.getInitialDate())%> - <%=myEvalPeriodsSDF.format(evaluationPeriodAux.getFinalDate())%></span>
                            <%if (assignmentsSizeAux==0){%>
                        <h4><%=noAssignmentText%></h4>
                        <% }else{assignmentsCounter=1;
                     for(final Assignment current : assignmentListAux){%>
                        <P><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_ASSIGNMENT%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/Assignment/QualificateAssignment.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.PARAMETER_ASSIGNMENT_SELECTED%>=<%=current.getIdAssignment()%>"><h4><%=current.getTitle()%></h4></a><input onchange="checkAssignments();" required aria-required="true" class="percentage" type="number" name="<%=assignmentScore+evaluationPeriodCounter+""+assignmentsCounter%>" min="<%=ConstantsDB.TABLE_ASSIGNMENT_ATT_ASSOCIATED_WEIGHT_MIN%>" max="<%=ConstantsDB.TABLE_ASSIGNMENT_ATT_ASSOCIATED_WEIGHT_MAX%>" value="<%=current.getAssociatedWeight()%>"> %<br/></P>
                                    <%assignmentsCounter++;}%>
                        <div align="center" id="myAssignmentAlert<%=evaluationPeriodCounter%>" class="alert alert-info fade in" style="margin-left: 10px;margin-right: 10px;"  hidden="">
                            <p style="text-align:center" id="myAssignmentText<%=evaluationPeriodCounter%>"></p>
                        </div>
                        <%}%>
                    </div>
                    <%evaluationPeriodCounter++;}%>
                </div>
                <div align="center">
                    <p id="loadImg" style="text-align: center;" hidden><img src="/assets/img/other/load.gif" alt="" height="50" width="50"></p><br/>
                    <%final String saveText=CurrentLanguage.getString(Text.SAVE,request);%>
                    <button type="submit" value="<%=saveText%>" class="btn btn-success" id="submit"><h4><%=saveText%></h4></button>
                </div>
            </form>
            <%}%>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script src="../../../assets/js/alertify.min.js"></script>
        <script src="../../../assets/js/bootstrap-tooltip.js"></script>
        <script type="text/javascript">
                function isNumber(n) {
                    return !isNaN(parseFloat(n)) && isFinite(n);
                }
                function enableAlert(enable, myAlert) {
                    if (enable) {
                        $(myAlert).show();
                    } else {
                        $(myAlert).hide();
                    }
                }
                function totalEvaluation() {
                    var myEachPositive = document.forms['<%=myForm%>']['<%=eachPositive%>'];
                    var myEachPositiveValue = myEachPositive.value;
                    if (!isNumber(myEachPositiveValue)) {
                        alertify.error('<%=CurrentLanguage.getString(Text.MUST_BE_NUMBER,request)%>' + ': ' + '<%=eachText%> +');
                        myEachPositive.focus();
                        return false;
                    }
                    var myMaxPositive = document.forms['<%=myForm%>']['<%=maxPositive%>'];
                    var myMaxPositiveValue = myMaxPositive.value;
                    if (!isNumber(myMaxPositiveValue)) {
                        alertify.error('<%=CurrentLanguage.getString(Text.MUST_BE_NUMBER,request)%>' + ': ' + '<%=maxText%> +');
                        myMaxPositive.focus();
                        return false;
                    }
                    if (Number(myMaxPositiveValue) < Number(myEachPositiveValue)) {
                        alertify.error('<%=CurrentLanguage.getString(Text.EVALUATION_PERCENTAGE_POSITIVE_ERROR,request)%>');
                        myEachPositive.focus();
                        return false;
                    }
                    var myEachNegative = document.forms['<%=myForm%>']['<%=eachNegative%>'];
                    var myEachNegativeValue = myEachNegative.value;
                    if (!isNumber(myEachNegativeValue)) {
                        alertify.error('<%=CurrentLanguage.getString(Text.MUST_BE_NUMBER,request)%>' + ': ' + '<%=eachText%> -');
                        myEachNegative.focus();
                        return false;
                    }
                    var myMaxNegative = document.forms['<%=myForm%>']['<%=maxNegative%>'];
                    var myMaxNegativeValue = myMaxNegative.value;
                    if (!isNumber(myMaxNegativeValue)) {
                        alertify.error('<%=CurrentLanguage.getString(Text.MUST_BE_NUMBER,request)%>' + ': ' + '<%=maxText%> -');
                        myMaxNegative.focus();
                        return false;
                    }
                    if (Number(myMaxNegativeValue) < Number(myEachNegativeValue)) {
                        alertify.error('<%=CurrentLanguage.getString(Text.EVALUATION_PERCENTAGE_NEGATIVE_ERROR,request)%>');
                        myEachNegative.focus();
                        return false;
                    }

                    if (Number(myMaxNegativeValue) > <%=maxNegativeMax%>) {
                        alertify.error('<%=CurrentLanguage.getString(Text.EVALUATION_PERCENTAGE_MAX_NEGATIVE_ERROR,request)%>');
                                myMaxNegative.focus();
                        return false;
                    }
                    var finalAdd = Number(document.forms['<%=myForm%>']['<%=maxPositive%>'].value)<%final int myPeriods = list==null?0:list.size();for (int i=0;i<myPeriods;i++){%> + Number(document.forms['<%=myForm%>']['<%=periodsWeight+(i+1)%>'].value)<%}%>;
                            var total = Number(finalAdd);
                    var myAlertID = "#myAlert";
                    var MAX = Number(<%=ConstantsForm.EVALUATION_PERCENTAGE_MAX_EVALUATION_AMOUNT%>);
                    if (total > MAX) {
                        alertify.error('<%=CurrentLanguage.getString(Text.CSC_TEACHER_TOTAL_WEIGHT_PERIODS,request)%> ' + total + '%.');
                        document.forms['<%=myForm%>']['<%=maxPositive%>'].focus;
                        enableAlert(false, myAlertID);
                        return false;
                    } else {
                        if (total < MAX) {
                            enableAlert(true, myAlertID);
                        } else {
                            enableAlert(false, myAlertID);
                        }
                    }
                    return true;
                }

                function checkAssignments() {
            <%int nAssignments;int auxPeriodNumber;final String alerTextBegin=CurrentLanguage.getString(Text.PERIOD,request);final String alertText =CurrentLanguage.getString(Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_ASSIGNMENT,request); for (int i=0;i<myPeriods;i++){auxPeriodNumber=i+1;nAssignments=list.get(i).getMyAssignmentsList().size();if (nAssignments>0){%>finalAdd = 0<%for (int j=0;j<nAssignments;j++){%> + Number(document.forms['<%=myForm%>']['<%=assignmentScore+auxPeriodNumber+""+(j+1)%>'].value)<%}%>;
                            var dAlert = "#myAssignmentAlert<%=auxPeriodNumber%>";
                    var total = Number(finalAdd);
                    var MAX = <%=ConstantsForm.EVALUATION_PERCENTAGE_MAX_EVALUATION_PERIOD_ASSIGNMENTS_AMOUNT%>;
                    if (total > MAX) {
                        alertify.error('<%=CurrentLanguage.getString(Text.PERIOD,request) +" "+ auxPeriodNumber%>: <%=CurrentLanguage.getString(Text.EVALUATION_PERCENTAGE_ASSIGNMENTS_AMOUNT_ERROR,request)%>: ' + finalAdd + '%.');
                        enableAlert(false, dAlert);
                        return false;
                    }
                    else {
                        if (total < MAX) {
                            var pAlert = "myAssignmentText<%=auxPeriodNumber%>";
                            document.getElementById(pAlert).innerHTML = '<%=alerTextBegin+" "+auxPeriodNumber+": "+alertText%>';
                            enableAlert(true, dAlert);
                        } else {
                            enableAlert(false, dAlert);
                        }
                    }
            <%}}%>
                    return true;
                }
                function checkFields() {
                    if (!totalEvaluation() || !checkAssignments()) {
                        return false;
                    }
                    $('#loadImg').show();
                }
                $(document).ready(function() {
                    totalEvaluation();
                    checkAssignments();
                    $('.percentage').tooltip({"title":"<%=CurrentLanguage.getString(Text.WEIGHT,request)%>","placement":"bottom"});
                });
        </script>
    </body>
</html>