<%@page import="classcontrol.utils.Constants"%>
<%@page import="classcontrol.utils.CurrentLanguage"%>
<%@page import="classcontrol.utils.Text"%>
<%@page import="classcontrol.utils.Login"%>
<%@page import="classcontrol.dao.ConstantsForm"%>
<%@page import="classcontrol.utils.SecurityModel"%>
<%@page import="classcontrol.entity.SubjectCompetence"%>
<%@page import="java.util.List"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="classcontrol.controller.DatesUtil"%>
<%@page import="java.util.Date"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%SecurityModel.isValid(request,response);%>
<%int subjectCompetenceIndex;
    try{
        subjectCompetenceIndex = Integer.parseInt(request.getParameter(Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED));
    }catch(final Exception e){
        throw new Exception(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, request));
}
    final String webName=CurrentLanguage.getString(Text.S_C_ATTEND_DEFINE_NON_ACADEMIC_DAYS,request);
    final String previousNonAcademicDays = (String)request.getAttribute(Constants.ATT_NON_ACADEMIC_DAYS);
    final String nonAcademicDays = DatesUtil.getDatepickerDates(previousNonAcademicDays).toString();
    final SimpleDateFormat formatter = new SimpleDateFormat(ConstantsForm.DATE_PICKER_FORMAT_JAVA);
    final String languageCode=CurrentLanguage.getString(Text.HTML_LANG,request);
%>
<!DOCTYPE html>
<html lang="<%=languageCode%>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Class Control: <%=webName%>">
        <meta name="author" content="Cristian TG">
        <link rel="shortcut icon" href="../../../assets/ico/favicon.ico">
        <title><%=webName%></title>
        <link href="../../../assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="../../../assets/css/navbar.css" rel="stylesheet">
        <link href="../../../assets/css/dashboard.css" rel="stylesheet">
        <link href="../../../assets/css/datepicker3.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body oncontextmenu="return false">
        <div class="container">
            <div class="navbar navbar-default" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="sr-only"><%=webName%></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <div class="container-fluid"><span class="navbar-brand-fluid" align="center"><%=Login.getNameLastPic(request)%></span></div>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <li align="center"><a href="/"><%=CurrentLanguage.getString(Text.NAV_BAR_HOME,request)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SelectSubjectCompetence.jsp"><%=CurrentLanguage.getString(Text.INDEX_TEACHER_TITLE_S_C,request)%></a></li>
                            <%final String subjectCompetenceTitle = ((List<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceIndex).getTitle();final int TITLE_LENGTH = subjectCompetenceTitle.length();%><li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/SubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=subjectCompetenceTitle.substring(0,TITLE_LENGTH<Constants.MAX_NAME_NAV_BAR?TITLE_LENGTH:Constants.MAX_NAME_NAV_BAR)%></a></li>
                            <li align="center"><a href="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_SUBJECT_COMPETENCE%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/SubjectCompetence/AttendSubjectCompetence.jsp&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>"><%=CurrentLanguage.getString(Text.S_C_ATTEND,request)%></a></li>
                            <li align="center" class="active"><a href="#"><%=webName%></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <form name="<%=ConstantsForm.FORM_NAME_ID%>" action="/?<%=Constants.CONTROLLER_ID%>=<%=Constants.CONTROLLER_ID_DEFINE_ACADEMIC_DAYS_2%>&<%=Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED%>=<%=subjectCompetenceIndex%>&<%=Constants.CONTROLLER_NEXT_URL%>=/Teacher/Message.jsp" onsubmit="return checkFields();" method="post">
                <div class="row placeholders">
                    <div class="col-lg-4" align="center">
                    </div>
                    <div class="col-lg-4" align="center">
                        <h3><%=webName%></h3>
                        <%final String nameCalendar=ConstantsForm.ATTEND_NON_ACADEMIC_DAYS;%>
                        <div id="<%=nameCalendar%>" class="input-group date" align="center">
                            <input id="<%=nameCalendar%>" type="text" name="<%=nameCalendar%>"class="form-control" value="<%=nonAcademicDays%>" autofocus><span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                </div>
                <div align="center">
                    <p id="loadImg" style="text-align: center;" hidden><img src="/assets/img/other/load.gif" alt="" height="50" width="50"></p><br/>
                    <%
                    final String backText=CurrentLanguage.getString(Text.BACK,request);
                    final String saveText=CurrentLanguage.getString(Text.SAVE,request);
                    final StringBuilder myText = (StringBuilder) request.getAttribute(Constants.ATT_NON_ACADEMIC_DAYS_S_C_SAME_DATES);
                    %>
                    <%=myText==null?"":myText%>
                    <p style="text-align:center"><button type="button" class="btn btn-default" onclick="eraseAll();"><%=CurrentLanguage.getString(Text.ERASE_ALL,request)%></button></p><br/>
                    <button type="button" onclick="goBack();" value="<%=backText%>" class="btn btn-info"><h4><%=backText%></h4></button>
                    <button type="submit" value="<%=saveText%>" class="btn btn-success" id="submit"><h4><%=saveText%></h4></button>
                </div>
            </form>
            <%@ include file="/include/footer.jsp" %>
        </div>
        <script type="text/javascript" src="../../../assets/js/jquery-2.1.0.min.js"></script>
        <script src="../../../assets/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../../../assets/js/bootstrap-datepicker.js"></script>
        <script src="../../../assets/js/locales/bootstrap-datepicker.<%=languageCode%>.js" charset="UTF-8"></script>
        <script type="text/javascript">
                function goBack()
                {
                    window.history.back();
                }
                function eraseAll()
                {
                    $('#<%=nameCalendar%>').datepicker('setDates', '');
                }
                var previousNonAcademicDays = [<%=DatesUtil.getFormattedDatepickerDates(previousNonAcademicDays)%>];
                function formatter(date) {
                    var day = date.getDate();
                    var month = date.getMonth() + 1;
                    var year = date.getFullYear();

                    if (day < 10) {
                        day = '0' + day;
                    }
                    if (month < 10) {
                        month = '0' + month;
                    }
                    dmy = day + '-' + month + '-' + year;
                    if ($.inArray(dmy, previousNonAcademicDays) >= 0) {
                        return {
                            tooltip: '<%=CurrentLanguage.getString(Text.NON_ACADEMIC_DAY,request)%>',
                            classes: 'btn-danger'
                        };
                    }
                    return {
                        tooltip: '<%=CurrentLanguage.getString(Text.ACADEMIC_DAY,request)%>'
                    };
                }
                $(document).ready(function() {
                    $('#<%=nameCalendar%>').datepicker({
                        format: "<%=ConstantsForm.DATE_PICKER_FORMAT%>",
                        startDate: "<%=formatter.format((Date) request.getAttribute(Constants.ATT_ATTEND_INITIAL_DATE))%>",
                        endDate: "<%=formatter.format((Date) request.getAttribute(Constants.ATT_ATTEND_FINAL_DATE))%>",
                        todayBtn: "linked",
                        language: "<%=languageCode%>",
                        multidate: true,
                        beforeShowDay: formatter,
                        multidateSeparator: "<%=ConstantsForm.MULTI_DATE_SEPARATOR%>"
                    });
                });
                function checkFields() {
                    $('#loadImg').show();
                }
        </script>
    </body>
</html>